Index: /trunk/import/punktnummernuebersicht/create_punktnummernuebersicht.sql
===================================================================
--- /trunk/import/punktnummernuebersicht/create_punktnummernuebersicht.sql	(revision 380)
+++ /trunk/import/punktnummernuebersicht/create_punktnummernuebersicht.sql	(revision 380)
@@ -0,0 +1,56 @@
+
+CREATE TABLE alkis.pp_punktnummernuebersicht
+(
+  ogc_fid serial NOT NULL,
+  punktkennung character varying,
+  wkb_geometry geometry(Point,25832),
+  art text,
+  hinweise character varying,
+  genauigkeitsstufe integer,
+  punktnummer character varying,
+  stelle integer,
+  kreis character varying,
+  gid serial NOT NULL,
+  CONSTRAINT pp_punktnummernuebersicht_pk PRIMARY KEY (gid)
+)
+WITH (
+  OIDS=TRUE
+);
+
+
+-- Index: alkis.pp_punktnummernuebersicht_geom_idx
+
+-- DROP INDEX alkis.pp_punktnummernuebersicht_geom_idx;
+
+CREATE INDEX pp_punktnummernuebersicht_geom_idx
+  ON alkis.pp_punktnummernuebersicht
+  USING gist
+  (wkb_geometry);
+
+-- Index: alkis.pp_punktnummernuebersicht_hinweise_idx
+
+-- DROP INDEX alkis.pp_punktnummernuebersicht_hinweise_idx;
+
+CREATE INDEX pp_punktnummernuebersicht_hinweise_idx
+  ON alkis.pp_punktnummernuebersicht
+  USING btree
+  (hinweise COLLATE pg_catalog."default");
+
+-- Index: alkis.pp_punktnummernuebersicht_kreis_idx
+
+-- DROP INDEX alkis.pp_punktnummernuebersicht_kreis_idx;
+
+CREATE INDEX pp_punktnummernuebersicht_kreis_idx
+  ON alkis.pp_punktnummernuebersicht
+  USING btree
+  (kreis COLLATE pg_catalog."default");
+
+-- Index: alkis.pp_punktnummernuebersicht_stelle_idx
+
+-- DROP INDEX alkis.pp_punktnummernuebersicht_stelle_idx;
+
+CREATE INDEX pp_punktnummernuebersicht_stelle_idx
+  ON alkis.pp_punktnummernuebersicht
+  USING btree
+  (stelle);
+
Index: /trunk/import/punktnummernuebersicht/alkis_tabellen_fuer_punktnummernuebersicht.sql
===================================================================
--- /trunk/import/punktnummernuebersicht/alkis_tabellen_fuer_punktnummernuebersicht.sql	(revision 380)
+++ /trunk/import/punktnummernuebersicht/alkis_tabellen_fuer_punktnummernuebersicht.sql	(revision 380)
@@ -0,0 +1,484 @@
+--ax_punktortag
+CREATE TABLE alkis.ax_punktortag
+(
+  ogc_fid serial NOT NULL,
+  gml_id character varying NOT NULL, -- Identifikator, global eindeutig
+  identifier character varying,
+  beginnt character(20),
+  endet character(20),
+  advstandardmodell character varying[],
+  sonstigesmodell character varying[],
+  anlass integer,
+  art character varying[],
+  name character varying[],
+  kartendarstellung character varying,
+  ax_datenerhebung_punktort integer,
+  genauigkeitsstufe integer,
+  vertrauenswuerdigkeit integer,
+  koordinatenstatus integer,
+  hinweise character varying,
+  istteilvon character varying,
+  wkb_geometry geometry(Point,25832),
+  CONSTRAINT ax_punktortag_pk PRIMARY KEY (ogc_fid)
+)
+WITH (
+  OIDS=FALSE
+);
+COMMENT ON TABLE alkis.ax_punktortag
+  IS 'Angaben zum Punktort: "Punktort AG"';
+COMMENT ON COLUMN alkis.ax_punktortag.gml_id IS 'Identifikator, global eindeutig';
+
+
+-- Index: alkis.ax_punktortag_geom_idx
+
+-- DROP INDEX alkis.ax_punktortag_geom_idx;
+
+CREATE INDEX ax_punktortag_geom_idx
+  ON alkis.ax_punktortag
+  USING gist
+  (wkb_geometry);
+
+-- Index: alkis.ax_punktortag_gml
+
+-- DROP INDEX alkis.ax_punktortag_gml;
+
+CREATE UNIQUE INDEX ax_punktortag_gml
+  ON alkis.ax_punktortag
+  USING btree
+  (gml_id COLLATE pg_catalog."default", beginnt COLLATE pg_catalog."default");
+
+-- Index: alkis.ax_punktortag_itv_idx
+
+-- DROP INDEX alkis.ax_punktortag_itv_idx;
+
+CREATE INDEX ax_punktortag_itv_idx
+  ON alkis.ax_punktortag
+  USING btree
+  (istteilvon COLLATE pg_catalog."default");
+
+  
+  
+  
+--ax_punktortau
+CREATE TABLE alkis.ax_punktortau
+(
+  ogc_fid serial NOT NULL,
+  gml_id character varying NOT NULL, -- Identifikator, global eindeutig
+  identifier character varying,
+  beginnt character(20),
+  endet character(20),
+  advstandardmodell character varying[],
+  sonstigesmodell character varying[],
+  anlass integer,
+  kartendarstellung character varying,
+  ax_datenerhebung_punktort integer,
+  name character varying[],
+  individualname character varying,
+  vertrauenswuerdigkeit integer,
+  genauigkeitsstufe integer,
+  koordinatenstatus integer,
+  hinweise character varying,
+  istteilvon character varying,
+  wkb_geometry geometry(Point,25832),
+  CONSTRAINT ax_punktortau_pk PRIMARY KEY (ogc_fid)
+)
+WITH (
+  OIDS=FALSE
+);
+
+COMMENT ON TABLE alkis.ax_punktortau
+  IS 'Angaben zum Punktort: "Punktort AU"';
+COMMENT ON COLUMN alkis.ax_punktortau.gml_id IS 'Identifikator, global eindeutig';
+
+
+-- Index: alkis.ax_punktortau_geom_idx
+
+-- DROP INDEX alkis.ax_punktortau_geom_idx;
+
+CREATE INDEX ax_punktortau_geom_idx
+  ON alkis.ax_punktortau
+  USING gist
+  (wkb_geometry);
+
+-- Index: alkis.ax_punktortau_gml
+
+-- DROP INDEX alkis.ax_punktortau_gml;
+
+CREATE UNIQUE INDEX ax_punktortau_gml
+  ON alkis.ax_punktortau
+  USING btree
+  (gml_id COLLATE pg_catalog."default", beginnt COLLATE pg_catalog."default");
+
+-- Index: alkis.ax_punktortau_itv_idx
+
+-- DROP INDEX alkis.ax_punktortau_itv_idx;
+
+CREATE INDEX ax_punktortau_itv_idx
+  ON alkis.ax_punktortau
+  USING btree
+  (istteilvon COLLATE pg_catalog."default");
+
+
+  
+--ax_punktortta
+
+
+CREATE TABLE alkis.ax_punktortta
+(
+  ogc_fid serial NOT NULL,
+  gml_id character varying NOT NULL, -- Identifikator, global eindeutig
+  identifier character varying,
+  beginnt character(20),
+  endet character(20),
+  advstandardmodell character varying[],
+  sonstigesmodell character varying[],
+  anlass integer,
+  kartendarstellung character varying,
+  description integer,
+  ax_datenerhebung_punktort integer,
+  art character varying[],
+  name character varying[],
+  genauigkeitsstufe integer,
+  vertrauenswuerdigkeit integer,
+  koordinatenstatus integer,
+  hinweise character varying,
+  istteilvon character varying,
+  wkb_geometry geometry(Point,25832),
+  CONSTRAINT ax_punktortta_pk PRIMARY KEY (ogc_fid)
+)
+WITH (
+  OIDS=FALSE
+);
+
+COMMENT ON TABLE alkis.ax_punktortta
+  IS 'Angaben zum Punktort: "Punktort TA"';
+COMMENT ON COLUMN alkis.ax_punktortta.gml_id IS 'Identifikator, global eindeutig';
+
+
+-- Index: alkis.ax_punktortta_endet_idx
+
+-- DROP INDEX alkis.ax_punktortta_endet_idx;
+
+CREATE INDEX ax_punktortta_endet_idx
+  ON alkis.ax_punktortta
+  USING btree
+  (endet COLLATE pg_catalog."default");
+
+-- Index: alkis.ax_punktortta_geom_idx
+
+-- DROP INDEX alkis.ax_punktortta_geom_idx;
+
+CREATE INDEX ax_punktortta_geom_idx
+  ON alkis.ax_punktortta
+  USING gist
+  (wkb_geometry);
+
+-- Index: alkis.ax_punktortta_gml
+
+-- DROP INDEX alkis.ax_punktortta_gml;
+
+CREATE UNIQUE INDEX ax_punktortta_gml
+  ON alkis.ax_punktortta
+  USING btree
+  (gml_id COLLATE pg_catalog."default", beginnt COLLATE pg_catalog."default");
+
+-- Index: alkis.ax_punktortta_itv_idx
+
+-- DROP INDEX alkis.ax_punktortta_itv_idx;
+
+CREATE INDEX ax_punktortta_itv_idx
+  ON alkis.ax_punktortta
+  USING btree
+  (istteilvon COLLATE pg_catalog."default");
+
+
+ --ax_besonderergebaeudepunkt 
+CREATE TABLE alkis.ax_besonderergebaeudepunkt
+(
+  ogc_fid serial NOT NULL,
+  gml_id character varying NOT NULL, -- Identifikator, global eindeutig
+  identifier character varying,
+  beginnt character(20),
+  endet character(20),
+  advstandardmodell character varying[],
+  sonstigesmodell character varying[],
+  anlass integer,
+  land integer,
+  stelle integer,
+  punktkennung character varying,
+  art character varying,
+  name character varying[],
+  sonstigeeigenschaft character varying[],
+  dummy geometry(Geometry,25832),
+  CONSTRAINT ax_besonderergebaeudepunkt_pk PRIMARY KEY (ogc_fid)
+)
+WITH (
+  OIDS=FALSE
+);
+
+COMMENT ON TABLE alkis.ax_besonderergebaeudepunkt
+  IS 'Angaben zum GebÃ€ude: (NREO) "Besonderer GebÃ€udepunkt"';
+COMMENT ON COLUMN alkis.ax_besonderergebaeudepunkt.gml_id IS 'Identifikator, global eindeutig';
+
+
+-- Index: alkis.ax_besonderergebaeudepunkt_gml
+
+-- DROP INDEX alkis.ax_besonderergebaeudepunkt_gml;
+
+CREATE UNIQUE INDEX ax_besonderergebaeudepunkt_gml
+  ON alkis.ax_besonderergebaeudepunkt
+  USING btree
+  (gml_id COLLATE pg_catalog."default", beginnt COLLATE pg_catalog."default");
+
+  
+  
+--ax_aufnahmepunkt
+CREATE TABLE alkis.ax_aufnahmepunkt
+(
+  ogc_fid serial NOT NULL,
+  gml_id character varying NOT NULL, -- Identifikator, global eindeutig
+  identifier character varying,
+  beginnt character(20),
+  endet character(20),
+  advstandardmodell character varying[],
+  sonstigesmodell character varying[],
+  anlass integer,
+  punktkennung character varying,
+  land integer,
+  stelle integer,
+  sonstigeeigenschaft character varying[],
+  vermarkung_marke integer,
+  relativehoehe double precision,
+  hat character varying[], -- -> Beziehung zu ax_sicherungspunkt (0..*): 'Aufnahmepunkt' hat 'Sicherungspunkt'.
+  dummy geometry(Geometry,25832),
+  CONSTRAINT ax_aufnahmepunkt_pk PRIMARY KEY (ogc_fid)
+)
+WITH (
+  OIDS=FALSE
+);
+
+COMMENT ON TABLE alkis.ax_aufnahmepunkt
+  IS 'Angaben zum Netzpunkt: "Aufnahmepunkt"';
+COMMENT ON COLUMN alkis.ax_aufnahmepunkt.gml_id IS 'Identifikator, global eindeutig';
+COMMENT ON COLUMN alkis.ax_aufnahmepunkt.hat IS '-> Beziehung zu ax_sicherungspunkt (0..*): ''Aufnahmepunkt'' hat ''Sicherungspunkt''.';
+
+
+-- Index: alkis.ax_aufnahmepunkt_gml
+
+-- DROP INDEX alkis.ax_aufnahmepunkt_gml;
+
+CREATE UNIQUE INDEX ax_aufnahmepunkt_gml
+  ON alkis.ax_aufnahmepunkt
+  USING btree
+  (gml_id COLLATE pg_catalog."default", beginnt COLLATE pg_catalog."default");
+
+-- Index: alkis.ax_aufnahmepunkt_hat
+
+-- DROP INDEX alkis.ax_aufnahmepunkt_hat;
+
+CREATE INDEX ax_aufnahmepunkt_hat
+  ON alkis.ax_aufnahmepunkt
+  USING gin
+  (hat COLLATE pg_catalog."default");
+
+
+  
+--ax_sicherungspunkt
+CREATE TABLE alkis.ax_sicherungspunkt
+(
+  ogc_fid serial NOT NULL,
+  gml_id character varying NOT NULL,
+  identifier character varying,
+  beginnt character(20),
+  endet character(20),
+  advstandardmodell character varying[],
+  sonstigesmodell character varying[],
+  anlass integer,
+  name character varying,
+  punktkennung character varying,
+  land integer,
+  stelle integer,
+  sonstigeeigenschaft character varying[],
+  vermarkung_marke integer,
+  relativehoehe double precision,
+  beziehtsichauf character varying, -- <- Beziehung zu ax_sonstigervermessungspunkt (0..1): "Sicherungspunkt" bezieht sich auf "Sonstiger Vermessungspunkt"...
+  gehoertzu character varying, -- <- Beziehung zu ax_aufnahmepunkt (0..1): 'Sicherungspunkt' gehÃ¶rt zu 'Aufnahmepunkt'....
+  dummy geometry(Geometry,25832),
+  CONSTRAINT ax_sicherungspunkt_pk PRIMARY KEY (ogc_fid)
+)
+WITH (
+  OIDS=FALSE
+);
+
+COMMENT ON TABLE alkis.ax_sicherungspunkt
+  IS 'Angaben zum Netzpunkt: "Sicherungspunkt"';
+COMMENT ON COLUMN alkis.ax_sicherungspunkt.beziehtsichauf IS '<- Beziehung zu ax_sonstigervermessungspunkt (0..1): "Sicherungspunkt" bezieht sich auf "Sonstiger Vermessungspunkt"
+Es handelt sich um die inverse Relationsrichtung.';
+COMMENT ON COLUMN alkis.ax_sicherungspunkt.gehoertzu IS '<- Beziehung zu ax_aufnahmepunkt (0..1): ''Sicherungspunkt'' gehÃ¶rt zu ''Aufnahmepunkt''.
+Es handelt sich um die inverse Relationsrichtung.';
+
+
+-- Index: alkis.ax_sicherungspunkt_gml
+
+-- DROP INDEX alkis.ax_sicherungspunkt_gml;
+
+CREATE INDEX ax_sicherungspunkt_gml
+  ON alkis.ax_sicherungspunkt
+  USING btree
+  (gml_id COLLATE pg_catalog."default");
+
+
+  
+--ax_sonstigervermessungspunkt
+CREATE TABLE alkis.ax_sonstigervermessungspunkt
+(
+  ogc_fid serial NOT NULL,
+  gml_id character varying NOT NULL, -- Identifikator, global eindeutig
+  identifier character varying,
+  beginnt character(20),
+  endet character(20),
+  advstandardmodell character varying[],
+  sonstigesmodell character varying[],
+  anlass integer,
+  vermarkung_marke integer,
+  punktkennung character varying,
+  art character varying,
+  land integer,
+  stelle integer,
+  sonstigeeigenschaft character varying[],
+  relativehoehe double precision,
+  hat character varying[], -- -> Beziehung zu ax_sicherungspunkt (0..*): "Sonstiger Vermessungspunkt" hat "Sicherungspunkt"
+  dummy geometry(Geometry,25832),
+  CONSTRAINT ax_sonstigervermessungspunkt_pk PRIMARY KEY (ogc_fid)
+)
+WITH (
+  OIDS=FALSE
+);
+
+COMMENT ON TABLE alkis.ax_sonstigervermessungspunkt
+  IS 'Angaben zum Netzpunkt: "sonstiger Vermessungspunkt"';
+COMMENT ON COLUMN alkis.ax_sonstigervermessungspunkt.gml_id IS 'Identifikator, global eindeutig';
+COMMENT ON COLUMN alkis.ax_sonstigervermessungspunkt.hat IS '-> Beziehung zu ax_sicherungspunkt (0..*): "Sonstiger Vermessungspunkt" hat "Sicherungspunkt"';
+
+
+-- Index: alkis.ax_sonstigervermessungspunkt_gml
+
+-- DROP INDEX alkis.ax_sonstigervermessungspunkt_gml;
+
+CREATE UNIQUE INDEX ax_sonstigervermessungspunkt_gml
+  ON alkis.ax_sonstigervermessungspunkt
+  USING btree
+  (gml_id COLLATE pg_catalog."default", beginnt COLLATE pg_catalog."default");
+
+-- Index: alkis.ax_sonstigervermessungspunkt_hat
+
+-- DROP INDEX alkis.ax_sonstigervermessungspunkt_hat;
+
+CREATE INDEX ax_sonstigervermessungspunkt_hat
+  ON alkis.ax_sonstigervermessungspunkt
+  USING gin
+  (hat COLLATE pg_catalog."default");
+
+  
+--ax_besonderertopographischerpunkt
+CREATE TABLE alkis.ax_besonderertopographischerpunkt
+(
+  ogc_fid serial NOT NULL,
+  gml_id character varying NOT NULL, -- Identifikator, global eindeutig
+  identifier character varying,
+  beginnt character(20),
+  endet character(20),
+  advstandardmodell character varying[],
+  sonstigesmodell character varying[],
+  anlass integer,
+  land integer,
+  stelle integer,
+  punktkennung character varying,
+  sonstigeeigenschaft character varying[],
+  dummy geometry(Point,25832),
+  CONSTRAINT ax_besonderertopographischerpunkt_pk PRIMARY KEY (ogc_fid)
+)
+WITH (
+  OIDS=FALSE
+);
+
+COMMENT ON TABLE alkis.ax_besonderertopographischerpunkt
+  IS '__: (NREO) "Besonderer Topografischer Punkt" ist ..';
+COMMENT ON COLUMN alkis.ax_besonderertopographischerpunkt.gml_id IS 'Identifikator, global eindeutig';
+
+
+-- Index: alkis.ax_besonderertopographischerpunkt_gml
+
+-- DROP INDEX alkis.ax_besonderertopographischerpunkt_gml;
+
+CREATE UNIQUE INDEX ax_besonderertopographischerpunkt_gml
+  ON alkis.ax_besonderertopographischerpunkt
+  USING btree
+  (gml_id COLLATE pg_catalog."default", beginnt COLLATE pg_catalog."default");
+
+
+
+--ax_grenzpunkt
+CREATE TABLE alkis.ax_grenzpunkt
+(
+  ogc_fid serial NOT NULL,
+  gml_id character varying NOT NULL, -- Identifikator, global eindeutig
+  identifier character varying,
+  beginnt character(20),
+  endet character(20),
+  advstandardmodell character varying[],
+  sonstigesmodell character varying[],
+  anlass integer,
+  punktkennung character varying,
+  land integer,
+  stelle integer,
+  abmarkung_marke integer,
+  festgestelltergrenzpunkt character varying,
+  besonderepunktnummer character varying,
+  bemerkungzurabmarkung integer,
+  sonstigeeigenschaft character varying[],
+  art character varying,
+  name character varying[],
+  zeitpunktderentstehung character varying,
+  relativehoehe double precision,
+  zeigtauf character varying, -- -> Beziehung zu ax_grenzpunkt (0..1): Ein von der Geometrie der FlurstÃŒcksflÃ€che abweichender 'Grenzpunkt' (Sonderfall des indirekt abgemarkten Grenzpunktes) zeigt auf einen 'Grenzpunkt', der in der FlurstÃŒcksgrenze liegt.
+  dummy geometry(Geometry,25832),
+  CONSTRAINT ax_grenzpunkt_pk PRIMARY KEY (ogc_fid)
+)
+WITH (
+  OIDS=FALSE
+);
+
+COMMENT ON TABLE alkis.ax_grenzpunkt
+  IS '__: "Grenzpunkt" ist ..';
+COMMENT ON COLUMN alkis.ax_grenzpunkt.gml_id IS 'Identifikator, global eindeutig';
+COMMENT ON COLUMN alkis.ax_grenzpunkt.zeigtauf IS '-> Beziehung zu ax_grenzpunkt (0..1): Ein von der Geometrie der FlurstÃŒcksflÃ€che abweichender ''Grenzpunkt'' (Sonderfall des indirekt abgemarkten Grenzpunktes) zeigt auf einen ''Grenzpunkt'', der in der FlurstÃŒcksgrenze liegt.';
+
+
+-- Index: alkis.ax_grenzpunkt_abmm
+
+-- DROP INDEX alkis.ax_grenzpunkt_abmm;
+
+CREATE INDEX ax_grenzpunkt_abmm
+  ON alkis.ax_grenzpunkt
+  USING btree
+  (abmarkung_marke);
+
+-- Index: alkis.ax_grenzpunkt_gml
+
+-- DROP INDEX alkis.ax_grenzpunkt_gml;
+
+CREATE UNIQUE INDEX ax_grenzpunkt_gml
+  ON alkis.ax_grenzpunkt
+  USING btree
+  (gml_id COLLATE pg_catalog."default", beginnt COLLATE pg_catalog."default");
+
+-- Index: alkis.ax_grenzpunkt_za
+
+-- DROP INDEX alkis.ax_grenzpunkt_za;
+
+CREATE INDEX ax_grenzpunkt_za
+  ON alkis.ax_grenzpunkt
+  USING btree
+  (zeigtauf COLLATE pg_catalog."default");
+
Index: /trunk/import/punktnummernuebersicht/insert_into_punktnummernuebersicht.sql
===================================================================
--- /trunk/import/punktnummernuebersicht/insert_into_punktnummernuebersicht.sql	(revision 380)
+++ /trunk/import/punktnummernuebersicht/insert_into_punktnummernuebersicht.sql	(revision 380)
@@ -0,0 +1,139 @@
+
+--############################################################################################################
+-- Lange Laufzeit !!!
+TRUNCATE alkis.pp_punktnummernuebersicht;
+
+INSERT INTO alkis.pp_punktnummernuebersicht
+((((( 
+	SELECT 
+		ax_punktortag.ogc_fid,
+		ax_besonderergebaeudepunkt.punktkennung,
+		ax_punktortag.wkb_geometry,
+		'Besonderer Gebäudepunkt' AS art,
+		ax_punktortag.hinweise,
+		ax_punktortag.genauigkeitsstufe,
+		'' AS punktnummer,
+		ax_besonderergebaeudepunkt.stelle,
+		'' AS kreis
+	FROM
+		alkis.ax_punktortag,
+		alkis.ax_besonderergebaeudepunkt
+	WHERE
+		ax_besonderergebaeudepunkt.gml_id = ax_punktortag.istteilvon
+UNION 
+	SELECT 
+		ax_punktortag.ogc_fid,
+		ax_besondererbauwerkspunkt.punktkennung,
+		ax_punktortag.wkb_geometry,
+		'Besonderer Bauwerkspunkt' AS art,
+		ax_punktortag.hinweise,
+		ax_punktortag.genauigkeitsstufe,
+		'' AS punktnummer,
+		ax_besondererbauwerkspunkt.stelle,
+		'' AS kreis
+	FROM
+		alkis.ax_punktortag,
+		alkis.ax_besondererbauwerkspunkt
+	WHERE
+		ax_besondererbauwerkspunkt.gml_id = ax_punktortag.istteilvon
+)
+UNION 
+	SELECT
+		ax_punktortau.ogc_fid,
+		ax_aufnahmepunkt.punktkennung,
+		ax_punktortau.wkb_geometry,
+		'Aufnahmepunkt' AS art,
+		ax_punktortau.hinweise,
+		ax_punktortau.genauigkeitsstufe,
+		'' AS punktnummer,
+		ax_aufnahmepunkt.stelle,
+		'' AS kreis
+	FROM 
+		alkis.ax_punktortau,
+		alkis.ax_aufnahmepunkt
+	WHERE 
+		ax_aufnahmepunkt.gml_id = ax_punktortau.istteilvon
+)
+UNION 
+	SELECT 
+		ax_punktortau.ogc_fid,
+		ax_sicherungspunkt.punktkennung, 
+		ax_punktortau.wkb_geometry, 
+		'Sicherungspunkt' AS art, 
+		ax_punktortau.hinweise,
+		ax_punktortau.genauigkeitsstufe,
+		'' AS punktnummer,
+		ax_sicherungspunkt.stelle,
+		'' AS kreis
+	FROM
+		alkis.ax_punktortau,
+		alkis.ax_sicherungspunkt
+	WHERE 
+		ax_sicherungspunkt.gml_id = ax_punktortau.istteilvon
+)
+UNION 
+	SELECT 
+		ax_punktortau.ogc_fid,
+		ax_sonstigervermessungspunkt.punktkennung,
+		ax_punktortau.wkb_geometry, 
+		'Sonstiger Vermessungspunkt' AS art, 
+		ax_punktortau.hinweise, 
+		ax_punktortau.genauigkeitsstufe, 
+		'' AS punktnummer,
+		ax_sonstigervermessungspunkt.stelle,
+		'' AS kreis
+	FROM 
+		alkis.ax_punktortau,
+		alkis.ax_sonstigervermessungspunkt
+	WHERE 
+		ax_sonstigervermessungspunkt.gml_id = ax_punktortau.istteilvon
+)
+UNION 
+	SELECT 
+		ax_punktortau.ogc_fid,
+		ax_besonderertopographischerpunkt.punktkennung,
+		ax_punktortau.wkb_geometry,
+		'Besonderer Topographischer Punkt' AS art,
+		ax_punktortau.hinweise,
+		ax_punktortau.genauigkeitsstufe,
+		'' AS punktnummer,
+		ax_besonderertopographischerpunkt.stelle,
+		'' AS kreis
+	FROM
+		alkis.ax_punktortau,
+		alkis.ax_besonderertopographischerpunkt
+	WHERE 
+		ax_besonderertopographischerpunkt.gml_id = ax_punktortau.istteilvon
+)
+UNION 
+	SELECT 
+		ax_punktortta.ogc_fid, 
+		ax_grenzpunkt.punktkennung,
+		ax_punktortta.wkb_geometry,
+		'Grenzpunkt' AS art,
+		ax_punktortta.hinweise,
+		ax_punktortta.genauigkeitsstufe,
+		'' AS punktnummer,
+		ax_grenzpunkt.stelle,
+		'' AS kreis
+	FROM
+		alkis.ax_punktortta,
+		alkis.ax_grenzpunkt
+	WHERE
+		ax_grenzpunkt.gml_id = ax_punktortta.istteilvon;
+
+UPDATE alkis.pp_punktnummernuebersicht SET punktnummer = substring(punktkennung FROM 10 FOR 15) WHERE punktkennung IS NOT NULL;
+
+UPDATE alkis.pp_punktnummernuebersicht SET kreis = 'Oberbergischer Kreis (GM)' WHERE stelle = 4440;
+UPDATE alkis.pp_punktnummernuebersicht SET kreis = 'Rhein.-Berg.-Kreis (GL)' WHERE stelle = 4450;
+UPDATE alkis.pp_punktnummernuebersicht SET kreis = 'Rhein-Sieg-Kreis (SU)' WHERE stelle = 4460;
+UPDATE alkis.pp_punktnummernuebersicht SET kreis = 'Remscheid (RS)' WHERE stelle = 3270;
+UPDATE alkis.pp_punktnummernuebersicht SET kreis = 'Wuppertal (W)' WHERE stelle = 3290;
+UPDATE alkis.pp_punktnummernuebersicht SET kreis = 'Olpe (OE)' WHERE stelle = 1090;
+UPDATE alkis.pp_punktnummernuebersicht SET kreis = 'Märkischer Kreis (MK)' WHERE stelle = 1080;
+UPDATE alkis.pp_punktnummernuebersicht SET kreis = 'Ennepe-Ruhr-Kreis (EN)' WHERE stelle = 1060;
+UPDATE alkis.pp_punktnummernuebersicht SET kreis = 'Altenkirchen (AK)' WHERE stelle = 101; 
+
+DELETE FROM ONLY alkis.pp_punktnummernuebersicht WHERE hinweise NOT LIKE 'NW_LST::489'; 
+
+--############################################################################################################