Index: /trunk/umn/alkis_n/alkis_punktnummernuebersicht.map
===================================================================
--- /trunk/umn/alkis_n/alkis_punktnummernuebersicht.map	(revision 380)
+++ /trunk/umn/alkis_n/alkis_punktnummernuebersicht.map	(revision 381)
@@ -1,5 +1,5 @@
-#http://wmsobk2.intern.obk.de/cgi-bin/mapserv?map=/data/umn/obk/alkis_punktnummernuebersicht.map&mode=browse&layer=genauigkeitsstufe&layer=objektart&template=openlayers
-#http://wmsobk2.intern.obk.de:80/cgi-bin/mapserv?map=/data/umn/obk/alkis_punktnummernuebersicht.map&REQUEST=GetCapabilities&SERVICE=WMS&VERSION=1.1.1
-#http://wmsobk2.intern.obk.de:80/cgi-bin/mapserv?map=/data/umn/obk/alkis_punktnummernuebersicht.map&REQUEST=GetCapabilities&SERVICE=WMS&VERSION=1.3.0
+# hhttp://localhost/cgi-bin/mapserv?map=/data/umn/postnas_demo/alkis_n/alkis_punktnummernuebersicht.map&mode=browse&layer=genauigkeitsstufe&layer=objektart&template=openlayers
+# http://wms2016.wheregroup.com/cgi-bin/mapserv?map=/data/umn/postnas_demo/alkis_n/alkis_punktnummernuebersicht.map
+
 
 MAP
@@ -11,5 +11,9 @@
 	MAXSIZE 50000
 
-	EXTENT 361900 5600000 426300 5700000
+
+    CONFIG 'MS_ERRORFILE' "/data/umn/log/alkis_punktuebersicht.log"
+    DEBUG 4
+
+	EXTENT 349000 5529000 356000 5533000 #muss angepasst werden
 
 	PROJECTION
@@ -17,6 +21,6 @@
 	END
 
-	SYMBOLSET 'symbols_alkis.sym'
-	FONTSET 'fonts/fonts_alkis.fnt'
+	SYMBOLSET 'symbols/symbols_alkis.sym'
+	FONTSET 'fonts/fonts.txt'
 
 	IMAGECOLOR 254 254 254
@@ -28,5 +32,5 @@
 		DRIVER AGG/PNG
 		MIMETYPE 'image/png'
-		IMAGEMODE RGB
+		IMAGEMODE RGBA
 		EXTENSION 'png'
 		FORMATOPTION 'GAMMA=0.75'
@@ -36,5 +40,5 @@
 
 	WEB
-		LOG '/datapublic/umn/log/error.log'
+		#LOG '/datapublic/umn/log/error.log'
 		IMAGEPATH '/datapublic/umn/images/'
 		IMAGEURL 'http://localhost/umn/images/'
@@ -44,6 +48,6 @@
 			wms_accessconstraints 'none'
 			wms_feature_info_mime_type 'text/html'
-			wms_srs 'epsg:25832 epsg:31466 epsg:31467 epsg:31468 epsg:31469 epsg:4326'
-			wms_onlineresource 'http://localhost/cgi-bin/mapserv?map=/data/umn/alkis/alkis_punktnummernuebersicht.map'
+			wms_srs 'EPSG:25832 EPSG:31466 EPSG:31467 EPSG:31468 EPSG:31469 EPSG:4326'
+			wms_onlineresource 'http://wms2016.wheregroup.com/cgi-bin/mapserv?map=/data/umn/postnas_demo/alkis_n/alkis_punktnummernuebersicht.map'
 			wms_encoding 'UTF-8'
 
@@ -56,6 +60,7 @@
 			ows_enable_request '*'
 
-			include 'include/contact_address.map'
-			include 'include/contact_person.map'
+			#include 'include/contact_address.map'
+			#include 'include/contact_person.map'
+			include "include/meta_contact.map" # ersetzen durch individuelle Datei je Katasteramt
 		END
 	END
@@ -83,5 +88,5 @@
 		DUMP TRUE
 
-		EXTENT 361900 5600000 426300 5700000
+		EXTENT 349000 5529000 356000 5533000
 
 		PROJECTION
@@ -90,10 +95,10 @@
 
 		CONNECTIONTYPE postgis
-		CONNECTION 'host=localhost dbname=alkis user=alkis port=5432'
+		CONNECTION 'host=localhost dbname=alkis user=postgres port=5432'
 		DATA 'wkb_geometry from (SELECT * FROM alkis.pp_punktnummernuebersicht WHERE (punktkennung IS NOT NULL AND genauigkeitsstufe IS NOT NULL)) as foo using unique gid using SRID=25832'
 
 		METADATA
 			wms_title 'Genauigkeitsstufe'
-			wms_srs 'epsg:25832 epsg:31466 epsg:31467 epsg:31468 epsg:31469 epsg:4326'
+			wms_srs 'EPSG:25832 EPSG:31466 EPSG:31467 EPSG:31468 EPSG:31469 EPSG:4326'
 		END
 
@@ -154,5 +159,5 @@
 		DUMP TRUE
 
-		EXTENT 361900 5600000 426300 5700000
+		EXTENT 349000 5529000 356000 5533000
 
 		PROJECTION
@@ -161,11 +166,10 @@
 
 		CONNECTIONTYPE postgis
-		CONNECTION 'host=localhost dbname=alkis user=alkis port=5432'
+		CONNECTION 'host=localhost dbname=alkis user=postgres port=5432'
 		DATA 'wkb_geometry from (SELECT * FROM alkis.pp_punktnummernuebersicht WHERE (punktkennung IS NULL)) as foo using unique gid using SRID=25832'
 
 		METADATA
 			wms_title 'Digitale Punkte (ohne Punktnummer)'
-			wms_srs 'epsg:25832 epsg:31466 epsg:31467 epsg:31468 epsg:31469 epsg:4326'
-
+			wms_srs 'EPSG:25832 EPSG:31466 EPSG:31467 EPSG:31468 EPSG:31469 EPSG:4326'
 		END
 
@@ -195,5 +199,5 @@
 		DUMP TRUE
 
-		EXTENT 361900 5600000 426300 5700000
+		EXTENT 349000 5529000 356000 5533000
 
 		PROJECTION
@@ -202,10 +206,10 @@
 
 		CONNECTIONTYPE postgis
-		CONNECTION 'host=localhost dbname=alkis user=alkis port=5432'
+		CONNECTION 'host=localhost dbname=alkis user=postgres port=5432'
 		DATA 'wkb_geometry from (SELECT * FROM alkis.pp_punktnummernuebersicht WHERE (punktkennung IS NOT NULL AND genauigkeitsstufe IS NULL)) as foo using unique gid using SRID=25832'
 
 		METADATA
 			wms_title 'Punkte ohne GST'
-			wms_srs 'epsg:25832 epsg:31466 epsg:31467 epsg:31468 epsg:31469 epsg:4326'
+			wms_srs 'EPSG:25832 EPSG:31466 EPSG:31467 EPSG:31468 EPSG:31469 EPSG:4326'
 		END
 
@@ -239,5 +243,5 @@
 		DUMP TRUE
 
-		EXTENT 361900 5600000 426300 5700000
+		EXTENT 349000 5529000 356000 5533000
 
 		PROJECTION
@@ -246,10 +250,10 @@
 
 		CONNECTIONTYPE postgis
-		CONNECTION 'host=localhost dbname=alkis user=alkis port=5432'
+		CONNECTION 'host=localhost dbname=alkis user=postgres port=5432 '
 		DATA 'wkb_geometry from (SELECT * FROM alkis.pp_punktnummernuebersicht) as foo using unique gid using SRID=25832'
 
 		METADATA
 			wms_title 'Objektart'
-			wms_srs 'epsg:25832 epsg:31466 epsg:31467 epsg:31468 epsg:31469 epsg:4326'
+			wms_srs 'EPSG:25832 EPSG:31466 EPSG:31467 EPSG:31468 EPSG:31469 EPSG:4326'
 		END
 
@@ -257,5 +261,5 @@
 		HEADER './templates/header_punktnummer.html'
 		TEMPLATE './templates/punktnummer.html'
-		FOOTER './templates/FOOTER/footer_logo_62_kraemer.html'
+		FOOTER './templates/footer.html'
 
 		MINSCALEDENOM 0
@@ -365,5 +369,5 @@
 		DUMP TRUE
 
-		EXTENT 361900 5600000 426300 5700000
+		EXTENT 349000 5529000 356000 5533000
 
 		PROJECTION
@@ -372,10 +376,10 @@
 
 		CONNECTIONTYPE postgis
-		CONNECTION 'host=localhost dbname=alkis user=alkis port=5432'
+		CONNECTION 'host=localhost dbname=alkis user=postgres port=5432'
 		DATA 'wkb_geometry from (SELECT * FROM alkis.pp_punktnummernuebersicht WHERE (stelle IS NOT NULL)) as foo using unique gid using SRID=25832'
 
 		METADATA
 			wms_title 'zustÃ€ndige Stelle'
-			wms_srs 'epsg:25832 epsg:31466 epsg:31467 epsg:31468 epsg:31469 epsg:4326'
+			wms_srs 'EPSG:25832 EPSG:31466 EPSG:31467 EPSG:31468 EPSG:31469 EPSG:4326'
 		END
 
@@ -604,5 +608,5 @@
 		DUMP TRUE
 
-		EXTENT 361900 5600000 426300 5700000
+		EXTENT 349000 5529000 356000 5533000
 
 		PROJECTION
@@ -611,10 +615,10 @@
 
 		CONNECTIONTYPE postgis
-		CONNECTION 'host=localhost dbname=alkis user=alkis port=5432'
+		CONNECTION 'host=localhost dbname=alkis user=postgres port=5432 '
 		DATA 'wkb_geometry from (SELECT * FROM alkis.pp_punktnummernuebersicht WHERE (punktkennung IS NOT NULL AND genauigkeitsstufe IS NOT NULL)) as foo using unique gid using SRID=25832'
 
 		METADATA
 			wms_title 'Punktnummer'
-			wms_srs 'epsg:25832 epsg:31466 epsg:31467 epsg:31468 epsg:31469 epsg:4326'
+			wms_srs 'EPSG:25832 EPSG:31466 EPSG:31467 EPSG:31468 EPSG:31469 EPSG:4326'
 
 		END
@@ -625,5 +629,5 @@
 		LABELMAXSCALEDENOM 2500
 
-		SYMBOLSCALEDENOM 5000
+		SYMBOLSCALEDENOM 2500
 
 		LABELITEM 'punktnummer'
@@ -636,6 +640,6 @@
 				TYPE TRUETYPE
 				FONT 'arial'
-				POSITION ur
-				OFFSET 2 2
+				POSITION uc
+				OFFSET 0 1
 				FORCE False
 				COLOR 0 0 255 #blau
@@ -661,6 +665,6 @@
 				TYPE TRUETYPE
 				FONT 'arial'
-				POSITION ur
-				OFFSET 2 2
+				POSITION uc
+				OFFSET 0 1
 				FORCE False
 				COLOR 0 125 0 #gelb
@@ -686,6 +690,6 @@
 				TYPE TRUETYPE
 				FONT 'arial'
-				POSITION ur
-				OFFSET 2 2
+				POSITION uc
+				OFFSET 0 1
 				FORCE False
 				COLOR 161 70 255 #violett