Index: /trunk/umn/alkis_n/alkis_punktnummernuebersicht.map
===================================================================
--- /trunk/umn/alkis_n/alkis_punktnummernuebersicht.map	(revision 384)
+++ /trunk/umn/alkis_n/alkis_punktnummernuebersicht.map	(revision 385)
@@ -85,6 +85,5 @@
 	LAYER
 		NAME 'genauigkeitsstufe'
-		TYPE POINT
-		DUMP TRUE
+		TYPE POINT	
 
 		EXTENT 349000 5529000 356000 5533000
@@ -157,5 +156,5 @@
 		NAME 'digitale_Punkte'
 		TYPE POINT
-		DUMP TRUE
+		
 
 		EXTENT 349000 5529000 356000 5533000
@@ -197,5 +196,5 @@
 		NAME 'Punkte_ohne_GST'
 		TYPE POINT
-		DUMP TRUE
+		
 
 		EXTENT 349000 5529000 356000 5533000
@@ -241,5 +240,5 @@
 		NAME 'objektart'
 		TYPE POINT
-		DUMP TRUE
+		
 
 		EXTENT 349000 5529000 356000 5533000
@@ -366,6 +365,6 @@
 		NAME 'zustaendige_stelle'
 		TYPE POINT
-		STATUS OFF
-		DUMP TRUE
+		STATUS ON
+		
 
 		EXTENT 349000 5529000 356000 5533000
@@ -394,5 +393,5 @@
 
 		CLASS
-			NAME 'Rhein.-Berg. Kreis (GL)'
+			NAME 'Rhein.-Berg. Kreis (GL)'  #Achtung passen Sie die CLASSES nach Ihren Stellen an!
 			TEXT 'GL'
 			EXPRESSION /4450/
@@ -410,5 +409,5 @@
 			END
 			STYLE
-				SYMBOL 'circle'
+				SYMBOL 'point'
 				COLOR 0 0 0 #schwarz
 				#OUTLINECOLOR 0 0 0 #schwarz
@@ -420,90 +419,12 @@
 
 		CLASS
-			NAME 'Rhein-Sieg-Kreis (SU)'
-			TEXT 'SU'
-			EXPRESSION /4460/
+			NAME 'Stelle'    #Achtung passen Sie die CLASSES nach Ihren Stellen an!
+			TEXT 'Stelle'
+			EXPRESSION /./
 			LABEL
 				TYPE TRUETYPE
 				FONT 'arial'
-				POSITION ur
-				OFFSET 2 2
-				FORCE False
-				COLOR 0 0 0 #schwarz
-				#OUTLINECOLOR 254 254 254
-				SIZE 7
-				MINSIZE 5
-				MAXSIZE 8
-			END
-			STYLE
-				SYMBOL 'point'
-				COLOR 0 0 0 #schwarz
-				#OUTLINECOLOR 0 0 0 #schwarz
-				SIZE 1
-				MINSIZE 1
-				MAXSIZE 1
-			END
-		END
-
-		CLASS
-			NAME 'Remscheid (RS)'
-			TEXT 'RS'
-			EXPRESSION /3270/
-			LABEL
-				TYPE TRUETYPE
-				FONT 'arial'
-				POSITION ur
-				OFFSET 2 2
-				FORCE False
-				COLOR 0 0 0 #schwarz
-				#OUTLINECOLOR 254 254 254
-				SIZE 7
-				MINSIZE 5
-				MAXSIZE 8
-			END
-			STYLE
-				SYMBOL 'circle'
-				COLOR 0 0 0 #schwarz
-				#OUTLINECOLOR 0 0 0 #schwarz
-				SIZE 1
-				MINSIZE 1
-				MAXSIZE 1
-			END
-		END
-
-		CLASS
-			NAME 'Wuppertal (W)'
-			TEXT 'W'
-			EXPRESSION /3290/
-			LABEL
-				TYPE TRUETYPE
-				FONT 'arial'
-				POSITION ur
-				OFFSET 2 2
-				FORCE False
-				COLOR 0 0 0 #schwarz
-				#OUTLINECOLOR 254 254 254
-				SIZE 7
-				MINSIZE 5
-				MAXSIZE 8
-			END
-			STYLE
-				SYMBOL 'circle'
-				COLOR 0 0 0 #schwarz
-				#OUTLINECOLOR 0 0 0 #schwarz
-				SIZE 1
-				MINSIZE 1
-				MAXSIZE 1
-			END
-		END
-
-		CLASS
-			NAME 'Olpe (OE)'
-			TEXT 'OE'
-			EXPRESSION /1090/
-			LABEL
-				TYPE TRUETYPE
-				FONT 'arial'
-				POSITION ur
-				OFFSET 2 2
+				POSITION cc
+				OFFSET 0 1
 				FORCE False
 				COLOR 0 0 0 #schwarz
@@ -514,88 +435,13 @@
 			END
 			STYLE
-				SYMBOL 'circle'
+				SYMBOL 'point'
 				COLOR 0 0 0 #schwarz
 				OUTLINECOLOR 0 0 0 #schwarz
-				SIZE 1
-				MINSIZE 1
-				MAXSIZE 1
-			END
-		END
-
-		CLASS
-			NAME 'MÃ€rkischer Kreis (MK)'
-			TEXT 'MK'
-			EXPRESSION /1080/
-			LABEL
-				TYPE TRUETYPE
-				FONT 'arial'
-				POSITION ur
-				OFFSET 2 2
-				FORCE False
-				COLOR 0 0 0 #schwarz
-				OUTLINECOLOR 254 254 254
-				SIZE 7
-				MINSIZE 5
-				MAXSIZE 8
-			END
-			STYLE
-				SYMBOL 'circle'
-				COLOR 0 0 0 #schwarz
-				OUTLINECOLOR 0 0 0 #schwarz
-				SIZE 1
-				MINSIZE 1
-				MAXSIZE 1
-			END
-		END
-
-		CLASS
-			NAME 'Ennepe-Ruhr-Kreis (EN)'
-			TEXT 'EN'
-			EXPRESSION /1060/
-			LABEL
-				TYPE TRUETYPE
-				FONT 'arial'
-				POSITION ur
-				OFFSET 2 2
-				FORCE False
-				COLOR 0 0 0 #schwarz
-				OUTLINECOLOR 254 254 254
-				SIZE 7
-				MINSIZE 5
-				MAXSIZE 8
-			END
-			STYLE
-				SYMBOL 'circle'
-				COLOR 0 0 0 #schwarz
-				OUTLINECOLOR 0 0 0 #schwarz
-				SIZE 1
-				MINSIZE 1
-				MAXSIZE 1
-			END
-		END
-
-		CLASS
-			NAME 'Altenkirchen (AK)'
-			TEXT 'AK'
-			EXPRESSION /101/
-			LABEL
-				TYPE TRUETYPE
-				FONT 'arial'
-				POSITION ur
-				OFFSET 2 2
-				FORCE False
-				COLOR 0 0 0 #schwarz
-				OUTLINECOLOR 254 254 254
-				SIZE 7
-				MINSIZE 5
-				MAXSIZE 8
-			END
-			STYLE
-				SYMBOL 'circle'
-				COLOR 0 0 0 #schwarz
-				OUTLINECOLOR 0 0 0 #schwarz
-				SIZE 1
-				MINSIZE 1
-				MAXSIZE 1
+				SIZE 1.5
+				MINSIZE 1.5
+				MAXSIZE 1.5
+				WIDTH 1
+				MINWIDTH 1
+				MAXWIDTH 1
 			END
 		END
@@ -606,5 +452,5 @@
 		NAME 'punktnummer'
 		TYPE POINT
-		DUMP TRUE
+		
 
 		EXTENT 349000 5529000 356000 5533000
@@ -635,5 +481,5 @@
 
 		CLASS
-			NAME 'GST 2000 und 2100 (S <= 2cm und S <= 3cm)'
+			#NAME 'GST 2000 und 2100 (S <= 2cm und S <= 3cm)'
 			EXPRESSION /2[0-1]00/
 			LABEL
@@ -660,5 +506,5 @@
 
 		CLASS
-			NAME 'GST 2200 und 2300 (S <= 6cm und S <= 10cm)'
+			#NAME 'GST 2200 und 2300 (S <= 6cm und S <= 10cm)'
 			EXPRESSION /2[2-3]00/
 			LABEL
@@ -685,5 +531,5 @@
 
 		CLASS
-			NAME 'GST 3000 (S <= 30cm)'
+			#NAME 'GST 3000 (S <= 30cm)'
 			EXPRESSION /3000/
 			LABEL