Index: trunk/info/info/alkisn/alkishaus.php
===================================================================
--- trunk/info/info/alkisn/alkishaus.php	(revision 387)
+++ trunk/info/info/alkisn/alkishaus.php	(revision 388)
@@ -8,6 +8,8 @@
 	2016-12-05 Array-Behandlung ax_gebaeude.name
 	2017-06-08 Validierung Eingabeparameter, Feinkorrekturen
+	2017-06-09 Tool-Tip GebÃ€udefunktion, ErklÃ€rung 2 getrennte p.Styles
 
 	ToDo:
+	- Die im Modul 'Lage' als Tooltip vorhandene lange Beschreibung der GebÃ€ude-Funktion (Inhalt) hier auch anzeigen.
 	- sinnvolle Sortierung und Gruppierung der Felder
 	- geometrische Suche nach FS, auf denen das Haus steht
@@ -101,5 +103,8 @@
 		."\n\t<td class='head' title=''>Attribut</td>"
 		."\n\t<td class='head mittelspalte' title=''>Wert</td>"
-		."\n\t<td class='head' title=''>Erkl&auml;rung</td>"
+		."\n\t<td class='head' title=''>"
+			."\n\t\t<p class='erklk'>Erkl&auml;rung Kategorie</p>"
+			."\n\t\t<p class='erkli'>Erkl&auml;rung Inhalt</p>"
+		."\n\t</td>"
 	."\n</tr>";
 
@@ -146,5 +151,7 @@
 			."\n\t<td class='li'>Name</td>"
 			."\n\t<td>".$nam."</td>"
-			."\n\t<td class='erkl'>'Name' ist der Eigenname oder die Bezeichnung des Geb&auml;udes.</td>"
+			."\n\t<td>"
+				."\n\t\t<p class='erklk'>'Name' ist der Eigenname oder die Bezeichnung des Geb&auml;udes."
+			."\n\t</td>"
 		."\n</tr>";
 	}
@@ -199,4 +206,8 @@
 	if ($zhsnr > 0) {echo "\n\t</td>\n\t<td>&nbsp;</td>\n</tr>";}
 
+// In der 3. Spalte:
+// p.erklk = ErklÃ€rungen zur Kategorie
+// p.erkli = .. zum Inhalt
+
 	// GebÃ€udefunktion
 	echo "\n<tr>"
@@ -205,5 +216,8 @@
 		if ($showkey) {echo "<span class='key'>".$kfunk."</span>&nbsp;";}
 		echo $bfunk."</td>"
-		."\n\t<td class='erkl'>'Geb&auml;udefunktion' ist die zum Zeitpunkt der Erhebung vorherrschend funktionale Bedeutung des Geb&auml;udes'<br>".$dfunk."</td>"
+		."\n\t<td>"
+			."\n\t\t<p class='erklk'>'Geb&auml;udefunktion' ist die zum Zeitpunkt der Erhebung vorherrschend funktionale Bedeutung des Geb&auml;udes'</p>"
+			."\n\t\t<p class='erkli'>".$dfunk."</p>"
+		."</td>"
 	."\n</tr>";
 
@@ -215,5 +229,8 @@
 			if ($showkey) {echo "<span class='key'>".$baw."</span>&nbsp;";}
 			echo $bbauw."</td>"
-			."\n\t<td class='erkl'>'Bauweise' ist die Beschreibung der Art der Bauweise.<br>".$dbauw."</td>"
+			."\n\t<td>"
+				."\n\t\t<p class='erklk'>'Bauweise' ist die Beschreibung der Art der Bauweise.</p>"
+				."\n\t\t<p class='erkli'>".$dbauw."</p>"
+			."\n\t</td>"
 		."\n</tr>";
 	}
@@ -224,5 +241,7 @@
 			."\n\t<td class='li'>Geschosse</td>"
 			."\n\t<td class='fett'>".$aog."</td>"
-			."\n\t<td class='erkl'>Anzahl oberirdischer Geschosse</td>"
+			."\n\t<td>"
+				."\n\t\t<p class='erklk'>Anzahl oberirdischer Geschosse.</p>"
+			."\n\t</td>"
 		."\n</tr>";
 	}
@@ -233,5 +252,7 @@
 			."\n\t<td class='li'>U-Geschosse</td>"
 			. "\n\t<td class='fett'>".$aug."</td>"
-			."\n\t<td class='erkl'>Anzahl unterirdischer Geschosse</td>"
+			."\n\t<td>"
+				."\n\t\t<p class='erklk'>Anzahl unterirdischer Geschosse.</p>"
+			."\n\t</td>"
 		."\n</tr>";
 	}
@@ -242,5 +263,7 @@
 			."\n\t<td class='li'>Hochhaus</td>"
 			."\n\t<td class='fett'>".$hoh."</td>"
-			."\n\t<td class='erkl'>'Hochhaus' ist ein Geb&auml;ude, das nach Geb&auml;udeh&ouml;he und Auspr&auml;gung als Hochhaus zu bezeichnen ist. F&uuml;r Geb&auml;ude im Geschossbau gilt dieses i.d.R. ab 8 oberirdischen Geschossen, f&uuml;r andere Geb&auml;ude ab einer Geb&auml;udeh&ouml;he von 22 m.</td>"
+			."\n\t<td>"
+				."\n\t\t<p class='erklk'>'Hochhaus' ist ein Geb&auml;ude, das nach Geb&auml;udeh&ouml;he und Auspr&auml;gung als Hochhaus zu bezeichnen ist. F&uuml;r Geb&auml;ude im Geschossbau gilt dieses i.d.R. ab 8 oberirdischen Geschossen, f&uuml;r andere Geb&auml;ude ab einer Geb&auml;udeh&ouml;he von 22 m."
+			."\n\t</td>"
 		."\n</tr>";
 	}
@@ -253,5 +276,8 @@
 			if ($showkey) {echo "<span class='key'>".$ofl."</span>&nbsp;";}
 			echo $oflv."</td>"
-			."\n\t<td class='erkl'>'Lage zur Erdoberfl&auml;che' ist die Angabe der relativen Lage des Geb&auml;udes zur Erdoberfl&auml;che. Diese Attributart wird nur bei nicht ebenerdigen Geb&auml;uden gef&uuml;hrt.<br>".$ofld."</td>"
+			."\n\t<td>"
+				."\n\t\t<p class='erklk'>'Lage zur Erdoberfl&auml;che' ist die Angabe der relativen Lage des Geb&auml;udes zur Erdoberfl&auml;che. Diese Attributart wird nur bei nicht ebenerdigen Geb&auml;uden gef&uuml;hrt.<br>"
+				."\n\t\t<p class='erkli'>".$ofld."</p>"
+			."\n\t</td>"
 		."\n</tr>";
 	}
@@ -265,5 +291,7 @@
 			if ($showkey) {echo "<span class='key'>".$dga."</span>&nbsp;";}
 			echo $dgav."</td>"
-			."\n\t<td class='erkl'>'Dachgeschossausbau' ist ein Hinweis auf den Ausbau bzw. die Ausbauf&auml;higkeit des Dachgeschosses.</td>"
+			."\n\t<td>"
+				."\n\t\t<p class='erklk'>'Dachgeschossausbau' ist ein Hinweis auf den Ausbau bzw. die Ausbauf&auml;higkeit des Dachgeschosses."
+			."\n\t</td>"
 		."\n</tr>";
 	}
@@ -276,5 +304,8 @@
 			if ($showkey) {echo "<span class='key'>".$zus."</span>&nbsp;";}
 			echo $zusv."</td>"
-			."\n\t<td class='erkl'>'Zustand' beschreibt die Beschaffenheit oder die Betriebsbereitschaft von 'Geb&auml;ude'. Diese Attributart wird nur dann optional gef&uuml;hrt, wenn der Zustand des Geb&auml;udes vom nutzungsf&auml;higen Zustand abweicht.<br>".$zusd."</td>"
+			."\n\t<td>"
+				."\n\t\t<p class='erklk'>'Zustand' beschreibt die Beschaffenheit oder die Betriebsbereitschaft von 'Geb&auml;ude'. Diese Attributart wird nur dann optional gef&uuml;hrt, wenn der Zustand des Geb&auml;udes vom nutzungsf&auml;higen Zustand abweicht.</p>"
+				."\n\t\t<p class='erkli'>".$zusd."</p>"
+			."\n\t</td>"
 		."\n</tr>";
 	}
@@ -305,5 +336,7 @@
 			}
 			echo "</td>"
-			."\n\t<td class='erkl'>'Weitere Geb&auml;udefunktion' ist die Funktion, die ein Geb&auml;ude neben der dominierenden Geb&auml;udefunktion hat.</td>"
+			."\n\t<td>"
+				."\n\t\t<p class='erklk'>'Weitere Geb&auml;udefunktion' ist die Funktion, die ein Geb&auml;ude neben der dominierenden Geb&auml;udefunktion hat."
+			."\n\t</td>"
 		."\n</tr>";
 	}
@@ -317,5 +350,7 @@
 			if ($showkey) {echo "<span class='key'>".$daf."</span>&nbsp;";}
 			echo $dach."</td>"
-			."\n\t<td class='erkl'>'Dachform' beschreibt die charakteristische Form des Daches.</td>"
+			."\n\t<td>"
+				."\n\t\t<p class='erklk'>'Dachform' beschreibt die charakteristische Form des Daches."
+			."\n\t</td>"
 		."\n</tr>";
 	}
@@ -326,5 +361,7 @@
 			."\n\t<td class='li'>Objekth&ouml;he</td>"
 			."\n\t<td class='fett'>".$hho."</td>"
-			."\n\t<td class='erkl'>'Objekth&ouml;he' ist die H&ouml;hendifferenz in [m] zwischen dem h&ouml;chsten Punkt der Dachkonstruktion und der festgelegten Gel&auml;ndeoberfl&auml;che des Geb&auml;udes.</td>"
+			."\n\t<td>"
+				."\n\t\t<p class='erklk'>'Objekth&ouml;he' ist die H&ouml;hendifferenz in [m] zwischen dem h&ouml;chsten Punkt der Dachkonstruktion und der festgelegten Gel&auml;ndeoberfl&auml;che des Geb&auml;udes."
+			."\n\t</td>"
 		."\n</tr>";
 	}
@@ -337,5 +374,7 @@
 			if ($gfl != "") {echo $gfl." m&#178;";}
 			echo "</td>"
-			."\n\t<td class='erkl'>'Geschossfl&auml;che' ist die Geb&auml;udegeschossfl&auml;che in [qm].</td>"
+			."\n\t<td>"
+				."\n\t\t<p class='erklk'>'Geschossfl&auml;che' ist die Geb&auml;udegeschossfl&auml;che in [qm]."
+			."\n\t</td>"
 		."\n</tr>";
 	}
@@ -347,5 +386,7 @@
 			."\n\t<td class='fett'>";
 			if ($grf != "") {echo $grf." m&#178;";}
-			echo "\n\t<td class='erkl'>'Grundfl&auml;che' ist die Geb&auml;udegrundfl&auml;che in [qm].</td>"
+			echo "\n\t<td>"
+				."\n\t\t<p class='erklk'>'Grundfl&auml;che' ist die Geb&auml;udegrundfl&auml;che in [qm]."
+			."\n\t</td>"
 		."\n</tr>";
 	}
@@ -356,5 +397,7 @@
 			."\n\t<td class='li'>Umbauter Raum</td>"
 			."\n\t<td class='fett'>".$ura."</td>"
-			."\n\t<td class='erkl'>'Umbauter Raum' ist der umbaute Raum [Kubikmeter] des Geb&auml;udes.</td>"
+			."\n\t<td>"
+				."\n\t\t<p class='erklk'>'Umbauter Raum' ist der umbaute Raum [Kubikmeter] des Geb&auml;udes."
+			."\n\t</td>"
 		."\n</tr>";
 	}
@@ -365,5 +408,7 @@
 			."\n\t<td class='li'>Baujahr</td>"
 			."\n\t<td class='fett'>".$bja."</td>"
-			."\n\t<td class='erkl'>'Baujahr' ist das Jahr der Fertigstellung oder der baulichen Ver&auml;nderung des Geb&auml;udes.</td>"
+			."\n\t<td>"
+				."\n\t\t<p class='erklk'>'Baujahr' ist das Jahr der Fertigstellung oder der baulichen Ver&auml;nderung des Geb&auml;udes."
+			."\n\t</td>"
 		."\n</tr>";
 	}
@@ -374,5 +419,7 @@
 			."\n\t<td class='li'>Dachart</td>"
 			."\n\t<td class='fett'>".$daa."</td>"
-			."\n\t<td class='erkl'>'Dachart' gibt die Art der Dacheindeckung (z.B. Reetdach) an.</td>"
+			."\n\t<td>"
+				."\n\t\t<p class='erklk'>'Dachart' gibt die Art der Dacheindeckung (z.B. Reetdach) an."
+			."\n\t</td>"
 		."\n</tr>";
 	}
@@ -383,5 +430,7 @@
 			."\n\t<td class='li'>Qualit&auml;tsangaben</td>"
 			."\n\t<td class='fett'>".$qag."</td>"
-			."\n\t<td class='erkl'>Angaben zur Herkunft der Informationen (Erhebungsstelle). Die Information ist konform zu den Vorgaben aus ISO 19115 zu repr&auml;sentieren.</td>"
+			."\n\t<td>"
+				."\n\t\t<p class='erklk'>Angaben zur Herkunft der Informationen (Erhebungsstelle). Die Information ist konform zu den Vorgaben aus ISO 19115 zu repr&auml;sentieren."
+			."\n\t</td>"
 		."\n</tr>";
 	}
Index: trunk/info/info/alkisn/alkisgebaeudenw.php
===================================================================
--- trunk/info/info/alkisn/alkisgebaeudenw.php	(revision 387)
+++ trunk/info/info/alkisn/alkisgebaeudenw.php	(revision 388)
@@ -8,4 +8,5 @@
 	2016-12-05 Array-Behandlung ax_gebaeude.name
 	2017-06-08 Validierung Eingabeparameter, Feinkorrekturen
+	2017-06-19 Tool-Tip GebÃ€udefunktion
 */
 session_start();
@@ -102,5 +103,5 @@
 
 // G e b a e u d e
-$sqlg ="SELECT g.gml_id, g.name, g.bauweise, g.gebaeudefunktion, h.v AS bauweise_beschreibung, u.v AS bezeichner, g.zustand, z.v AS bzustand, 
+$sqlg ="SELECT g.gml_id, g.name, g.bauweise, g.gebaeudefunktion, h.v AS bauweise_beschreibung, u.v AS bezeichner, u.d AS gfktd, g.zustand, z.v AS bzustand, 
 round(st_area(g.wkb_geometry)::numeric,2) AS gebflae, "; // GEB-Flaeche komplett auch die Fl. ausserhalb des FS
 $sqlg.="round(st_area(ST_Intersection(g.wkb_geometry,f.wkb_geometry))::numeric,2) AS schnittflae, "; // wie viel vom GEB liegt im FS?
@@ -131,6 +132,6 @@
 	echo "\n<tr>\n"
 		."\n\t<td class='head' title='ggf. Geb&auml;udename'>Name</td>"
-		."\n\t<td class='heads fla' title='Schnittsfl&auml;che'><img src='ico/sortd.png' width='10' height='10' alt='' title='Sortierung (absteigend)'>Fl&auml;che</td>"
-		."\n\t<td class='head' title='Geb&auml;udefl&auml;che'>&nbsp;</td>"
+		."\n\t<td class='heads fla' title='Schnittfl&auml;che zwischen Flurst&uuml;ck und Geb&auml;ude'><img src='ico/sortd.png' width='10' height='10' alt='' title='Sortierung (absteigend)'>Fl&auml;che</td>"
+		."\n\t<td class='head' title='gesamte Geb&auml;udefl&auml;che, liegt teilweise auf Nachbar-Flurst&uuml;ck'>&nbsp;</td>"
 		."\n\t<td class='head' title='Geb&auml;udefunktion ist die zum Zeitpunkt der Erhebung vorherrschend funktionale Bedeutung des Geb&auml;udes'>Funktion</td>"
 		."\n\t<td class='head' title='Bauweise ist die Beschreibung der Art der Bauweise'>Bauweise</td>"
@@ -147,6 +148,9 @@
 		// Mehrfachbelegung nur theoretisch. Entklammern reicht. Mal mit und mal ohne "" drum !?
 		/* SELECT name FROM ax_gebaeude WHERE NOT name IS NULL AND array_length(name, 1) > 1; */
-		$gzus=$rowg["zustand"];
-		$gzustand=$rowg["bzustand"];
+		$gfktk=htmlentities($rowg["gebaeudefunktion"], ENT_QUOTES, "UTF-8");  // Geb.-Funktion Key
+		$gfktv=htmlentities($rowg["bezeichner"], ENT_QUOTES, "UTF-8"); // Geb.Funktion Value
+		$gfktd=htmlentities($rowg["gfktd"], ENT_QUOTES, "UTF-8"); // GebÃ€ude-Funktion-Description
+		$gzus=htmlentities($rowg["zustand"], ENT_QUOTES, "UTF-8");
+		$gzustand=htmlentities($rowg["bzustand"], ENT_QUOTES, "UTF-8");
 
 		// 3 FÃ€lle unterscheiden:
@@ -168,14 +172,14 @@
 
 		echo "\n<tr>"
-			."\n\t<td class='".$gstyle."'>";
+			."\n\t<td class='".$gstyle."'>"; // Sp. 1 Name
 			if ($gnam != "") {echo "<span title='Geb&auml;udename'>".$gnam."</span><br>";}
 			echo "\n\t</td>";
 
-			echo "\n\t<td class='fla'>".$f1."</td>"
+			echo "\n\t<td class='fla'>".$f1."</td>" // Sp. 2
 			."\n\t<td class='".$gstyle."'>".$f2."</td>"; // FlÃ€chenangaben
 
-			echo "\n\t<td class='".$gstyle."'>";
-			if ($showkey) {echo "<span class='key'>".$rowg["gebaeudefunktion"]."</span>&nbsp;";}
-			echo $rowg["bezeichner"]."</td>";
+			echo "\n\t<td class='".$gstyle."' title='".$gfktd."'>"; // Sp. 3 Funktion
+			if ($showkey) {echo "<span class='key'>".$gfktk."</span>&nbsp;";}
+			echo $gfktv."</td>";
 
 			echo "\n\t<td class='".$gstyle."'>";
Index: trunk/info/info/alkisn/alkisauszug.css
===================================================================
--- trunk/info/info/alkisn/alkisauszug.css	(revision 387)
+++ trunk/info/info/alkisn/alkisauszug.css	(revision 388)
@@ -16,4 +16,5 @@
 	2016-12-01	Stop-Meldung bei BerechtigungsprÃŒfung, Sortierspalten
 	2017-06-08	Tab-Zeilen-Farbe wechseln, Spaltenbreite td.flag, media screen
+	2017-06-09	ErlÃ€rung zu Haus: 2 Arten
 */
 body	{background-color: #FEFFFE;}
@@ -49,4 +50,6 @@
 p.warn		{color: gray; font-style: italic;}	/* Warnung, Hinweis */
 p.ph		{color: gray;}						/* Platzhalter */
+p.erklk		{color: silver; font-size: 8pt;}	/* Haus: ErklÃ€rungen zur Kategorie */
+p.erkli		{color: grey; font-size: 8pt;}		/* Haus: ErklÃ€rungen zum Inhalt */
 
 /* Links */
@@ -91,6 +94,4 @@
 td.lr	{color: black;}	/* Liste Rechts */
 td.ph	{color: gray;}	/* Platzhalter, vorlaeufig, spaeter loschen */
-td.erkl	{color: silver; font-size: 8pt;}	/* ErklÃ€rungen, nur klein (Haus) */
-
 td.fla	{width: 110px; padding-right: 4px; text-align: right;} /* Flaechen rechtsbuendig (stellengerecht) */
 td.flag	{min-width: 110px; padding-right: 4px; text-align: right;} /* .. im GB-Bestandsnachweis erweiterbar */
@@ -164,6 +165,5 @@
 /* Abweichende Darstellung im Druck.
 Generell keine "Bedienelemente" mit drucken, also Links zu anderen Nachweisen oder optionale Umschalter fÃŒr den Umfang der Anzeige.
-Dies wird durch class='noprint' gesteuert. 
-GroÃe farbige FlÃ€chen vermeiden, z.B. durch Rahmen ersetzen. */
+Dies wird durch class='noprint' gesteuert. GroÃe farbige FlÃ€chen vermeiden, z.B. durch Rahmen ersetzen. */
 @media print {
 	body	{background-color: white;} /* width: 98%; */