Index: trunk/info/info/alkisn/alkisfsnw.php
===================================================================
--- trunk/info/info/alkisn/alkisfsnw.php	(revision 389)
+++ trunk/info/info/alkisn/alkisfsnw.php	(revision 390)
@@ -13,4 +13,5 @@
 				Validierung Eingabeparameter, Feinkorrekturen
 	2017-10-11 Sauber filtern auf 'endet IS NULL', Ausgabe der BodenschÃ€tzung
+	2017-10-11 Nachbesserung Formatierung der SchÃ€tzungs-Zeilen
 
 	ToDo:
@@ -233,5 +234,5 @@
 $row = pg_fetch_array($res);
 $gnam = htmlentities($row["bezeichnung"], ENT_QUOTES, "UTF-8");
-echo "\n\t<td class='lr'>Gemeinde</td>\n\t<td class='lr'>";
+echo "\n\t<td class='lr'>Gemeinde</td>\n\t<td class='lr' colspan='3'>";
 if ($showkey) {echo "<span class='key'>(".$gemeinde.")</span> ";}
 // Link zur FS-Historie (passt nicht ganz in die Zeile "Gemeinde", aber gut unter "weitere Auskunft")
@@ -258,5 +259,5 @@
 $row = pg_fetch_array($res);
 $knam = htmlentities($row["bezeichnung"], ENT_QUOTES, "UTF-8");
-echo "\n<tr>\n\t<td>&nbsp;</td>\n\t<td>Kreis</td>\n\t<td>";
+echo "\n<tr>\n\t<td>&nbsp;</td>\n\t<td>Kreis</td>\n\t<td class='lr' colspan='3'>";
 if ($showkey) {echo "<span class='key'>(".$kreis.")</span> ";}
 echo $knam."</td>\n\t<td>&nbsp;</td>\n</tr>";
@@ -274,5 +275,5 @@
 $row=pg_fetch_array($res);
 $bnam=htmlentities($row["bezeichnung"], ENT_QUOTES, "UTF-8");
-echo "\n<tr>\n\t<td>&nbsp;</td>\n\t<td>Regierungsbezirk</td>\n\t<td>";
+echo "\n<tr>\n\t<td>&nbsp;</td>\n\t<td>Regierungsbezirk</td>\n\t<td class='lr' colspan='3'>";
 if ($showkey) {echo "<span class='key'>(".$bezirk.")</span> ";}
 echo $bnam."</td>\n\t<td>&nbsp;</td>\n</tr>";
@@ -311,5 +312,5 @@
 			}
 			echo "\n\t<td>&nbsp;</td>"
-			."\n\t<td class='lr'>";
+			."\n\t<td class='lr' colspan='3'>";
 			if ($showkey) {
 				echo "<span class='key' title='StraÃenschl&uuml;ssel'>(".$row["lage"].")</span>&nbsp;";
@@ -354,5 +355,5 @@
 			."\n\t<td class='ll' title='Lagebezeichnung'><img src='ico/Lage_Gewanne.png' width='16' height='16' alt=''> Gewanne:</td>"
 			."\n\t<td></td>"
-			."\n\t<td class='lr'>".$gewann."</td>"
+			."\n\t<td class='lr' colspan='3'>".$gewann."</td>"
 			."\n\t<td>\n\t\t<p class='nwlink noprint'>"
 				."\n\t\t\t<a title='Lagebezeichnung Ohne Hausnummer' href='alkislage.php?gkz=".$gkz."&amp;ltyp=o&amp;gmlid=".$lgml;
@@ -367,5 +368,5 @@
 			."\n\t<td class='ll'><img src='ico/Lage_an_Strasse.png' width='16' height='16' alt=''> Stra&szlig;e:</td>"
 			."\n\t<td></td>"
-			."\n\t<td class='lr'>";
+			."\n\t<td class='lr' colspan='3'>";
 			if ($showkey) {
 				echo "<span class='key'>(".$skey.")</span>&nbsp;";
@@ -433,5 +434,5 @@
 		echo "\n\t<td class='fla' title='geometrisch berechnet: ".$schnittflae."'>".$absflaebuch."</td>";
 
-		echo "\n\t<td class='lr'>";
+		echo "\n\t<td class='lr' colspan='3'>";
 			if ($class == 0) {
 				if ($showkey) {echo "<span class='key'>(".$nutzid.")</span> ";}
@@ -546,5 +547,5 @@
 		echo "\n\t<td class='fla' title='Buchfl&auml;che des Abschnitts'>".$absflaebuch."</td>";
 
-		echo "\n\t<td class='lr' title='".$title."'>";
+		echo "\n\t<td class='lr' colspan='3' title='".$title."'>";
 			if ($showkey) {echo "<span class='key'>(".$nutzsl.")</span> ";}
 			echo $nutzung
@@ -569,10 +570,10 @@
 
 echo "\n<tr>" // Summenzeile
-	."\n\t<td class='ll' title='amtliche Fl&auml;che (Buchfl&auml;che)'>Fl&auml;che:</td>"
+	."\n\t<td class='re' title='amtliche Fl&auml;che (Buchfl&auml;che)'>Fl&auml;che:</td>"
 	."\n\t<td class='fla sum'>"
 	."<span title='geometrisch berechnete Fl&auml;che = ".$fsgeomflaed."' class='flae'>".$fsbuchflaed."</span></td>";
 
 	// Flaeche und Link auf GebÃ€ude-Auswertung
-	echo "\n\t<td>&nbsp;</td>\n\t<td>"
+	echo "\n\t<td colspan='3'>&nbsp;</td>\n\t<td>"
 		."\n\t\t<p class='nwlink noprint'>" // Gebaeude-Verschneidung
 			."\n\t\t\t<a href='alkisgebaeudenw.php?gkz=".$gkz."&amp;gmlid=".$gmlid;
@@ -679,36 +680,30 @@
 
 		// Sp. 2/4
-		echo "\n\t<td class='fla' title='Ertragsmesszahl = Produkt von ".$kbez2."/100 und Fl&auml;che.'>EMZ ".$ertragszahl."</td>";
-
-		// Sp. 3/4 - darin mehrere Infos
-		echo "\n\t<td class='ls'>";
-
-		echo "\n\t\t<span class='absfla' title='Fl&auml;che des Sch&auml;tzungsabschnitts'>".$absbuchflaedis."</span> "; 
-
-		echo "\n\t\t<span class='absbew'>"
-			."<span title='".$kbez1."'>".$boedenzahl."</span>/<span title='".$kbez2."'>".$ackerzahl."</span>"
-		."</span> ";
-
-		echo "\n\t\t<span class='absart'>";
-			if ($showkey) {echo "\n\t\t\t<span class='key'>(".$kulturartk.")</span> ";}
-			echo "\n\t\t\t<span title='Kulturart'>".$kulturartv."</span> ";
-			if ($showkey) {echo "\n\t\t\t<span class='key'>(".$row['bodenartk'].")</span> ";}
-			echo "\n\t\t\t<span title='Bodenart'>".$row['bodenartv']."</span> ";
-			echo "\n\t\t\t<span title='Zustandsstufe'>".$row['zustbodv']."</span>";
+		echo "\n\t<td class='fla' title='Ertragsmesszahl: Produkt von ".$kbez2."/100 und Fl&auml;che.'>EMZ ".$ertragszahl."</td>";
+
+		// Sp. 3/4 - unterteilt in 3 Sp.
+		echo "\n\t<td class='re' title='Fl&auml;che des Sch&auml;tzungsabschnitts'>".$absbuchflaedis."</td>";
+		echo "\n\t<td class='lr'><span title='".$kbez1."'>".$boedenzahl."</span>/<span title='".$kbez2."'>".$ackerzahl."</span></td>";
+		echo "\n\t<td class='lr'>";
+			if ($showkey) {echo "\n\t\t<span class='key'>(".$kulturartk.")</span> ";}
+			echo "\n\t\t<span title='Kulturart'>".$kulturartv."</span> ";
+			if ($showkey) {echo "\n\t\t<span class='key'>(".$row['bodenartk'].")</span> ";}
+			echo "\n\t\t<span title='Bodenart'>".$row['bodenartv']."</span> ";
+			echo "\n\t\t<span title='Zustandsstufe'>".$row['zustbodv']."</span>";
 			if (isset($row['jahreszahl'])) {echo "\n\t\t <span title='Jahreszahl'>".$row['jahreszahl']."</span>";}
 		//	++ Entstehungsart (Array) derzeit leer. 1:N entschlÃŒsseln. entstehungsartoderklimastufewasserverhaeltnisse
 		// $ent = explode(",", trim($entsteh, "{}") ); // [] --> PHP-Array
 		//	if (isset($row['sonstiges'])) {echo "\n\t\t, <span title='Sonstige Angaben'>".$row['sonstiges']."</span>";} -- immer leer (Konverter-Fehler?)
-		echo "\n\t\t</span>";
+		echo "\n\t</td>";
 
 		// Sp. 4/4 - leer, keine Links
-		echo "\n\t</td>\n\t<td>&nbsp;</td>\n</tr>";
+		echo "\n\t<td>&nbsp;</td>\n</tr>";
 		$j++;
 	}
 	// Summenzeile
 	$klasflaedis = number_format($klasflae,0,",",".")." m&#178;";
-	echo "\n<tr>\n\t<td class='ll'>Ertragsmesszahl:</td>"
-	."\n\t<td class='fla sum'>EMZ <span title='Summe der Ertragsmesszahlen f&uuml;r dies Flurst&uuml;ck'>".$gesertragsmz."</span></td>"
-	."\n\t<td><span class='absfla'>".$klasflaedis."</span></td>\n\t<td>&nbsp;</td>\n</tr>";
+	echo "\n<tr>\n\t<td class='re'>Ertragsmesszahl:</td>"
+	."\n\t<td class='fla sum' title='Summe der Ertragsmesszahlen f&uuml;r dies Flurst&uuml;ck'>".$gesertragsmz."</td>"
+	."\n\t<td class='re'>".$klasflaedis."</td>\n\t<td colspan='3'>&nbsp;</td>\n</tr>";
 }
 
@@ -744,5 +739,5 @@
 	echo "\n<tr>"
 	."\n\t<td title='Hinweise zum Flurst&uuml;ck'><h6><img src='ico/Hinweis.png' width='16' height='16' alt=''> "
-	."Hinweise:</h6></td>\n\t<td colspan=3>&nbsp;</td>"
+	."Hinweise:</h6></td>\n\t<td colspan='5'>&nbsp;</td>"
 	."\n</tr>";
 
@@ -753,17 +748,18 @@
 			// Zeile 1 - kommt immer, darum hier den Link
 			echo "\n<tr title='Bau-, Raum- oder Bodenordnungsrecht'>"
-				."\n\t<td>Bodenrecht:</td>"
-				."\n\t<td>Festlegung</td>" // "Art der Festlegung" zu lang
-				."\n\t<td>";
+				."\n\t<td>Bodenrecht</td>"
+				."\n\t<td class='re'>Festlegung: </td>" // "Art der Festlegung" zu lang
+				."\n\t<td colspan='3'>";
 					if ($showkey) {echo "<span class='key'>(".$row['wert'].")</span> ";}
 					echo $row['art_verf']
-				."</td>\n\t<td>";
+				."</td>";
 				// LINK:
-				echo "\n\t\t<p class='nwlink noprint'>"
+				echo "\n\t<td>"
+					."\n\t\t<p class='nwlink noprint'>"
 					."\n\t\t\t<a href='alkisbaurecht.php?gkz=".$gkz."&amp;gmlid=".$row['verf_gml'];
 					if ($showkey) {echo "&amp;showkey=j";}
 					echo "' title='Bau-, Raum- oder Bodenordnungsrecht'>Recht <img src='ico/Gericht.png' width='16' height='16' alt=''></a>"
-				."\n\t\t</p>"		
-				."</td>"
+					."\n\t\t</p>"		
+				."\n\t</td>"
 			."\n</tr>";
 
@@ -773,6 +769,6 @@
 				echo "\n<tr title='Flurbereinigungsbeh&ouml;rde'>"
 					."\n\t<td>&nbsp;</td>"
-					."\n\t<td>Dienststelle</td>"
-					."\n\t<td>";
+					."\n\t<td class='re'>Dienststelle: </td>"
+					."\n\t<td colspan='3'>";
 						if ($showkey) {echo "<span class='key'>(".$dstell.")</span> ";}
 						echo $row['stelle_bez']
@@ -787,6 +783,7 @@
 			if ($vbez != "") {
 				echo "\n<tr title='Verfahrensbezeichnung'>"
-					."\n\t<td>&nbsp;</td>\n\t<td>Verfahren</td>"
-					."\n\t<td>";
+					."\n\t<td>&nbsp;</td>"
+					."\n\t<td class='re'>Verfahren: </td>"
+					."\n\t<td colspan='3'>";
 						if ($vnam == "") {
 							echo $vbez; // nur die Nummer
@@ -803,5 +800,5 @@
 	if (pg_num_rows($res_strittigeGrenze) > 0) { // 1 Zeile
 		echo "\n<tr>\n<td>Strittige Grenze:</td>"
-		."<td colspan=2>Mindestens eine Flurst&uuml;cksgrenze ist als <b>strittig</b> zu bezeichnen. Sie kann nicht festgestellt werden, weil die Beteiligten sich nicht &uuml;ber den Verlauf einigen. Nach sachverst&auml;ndigem Ermessen der Katasterbeh&ouml;rde ist anzunehmen, dass das Liegenschaftskataster nicht die rechtm&auml;&szlig;ige Grenze nachweist.</td>"
+		."<td colspan=4>Mindestens eine Flurst&uuml;cksgrenze ist als <b>strittig</b> zu bezeichnen. Sie kann nicht festgestellt werden, weil die Beteiligten sich nicht &uuml;ber den Verlauf einigen. Nach sachverst&auml;ndigem Ermessen der Katasterbeh&ouml;rde ist anzunehmen, dass das Liegenschaftskataster nicht die rechtm&auml;&szlig;ige Grenze nachweist.</td>"
 		."\n<td>&nbsp;</td>\n</tr>";
 	}
Index: trunk/info/info/alkisn/alkisauszug.css
===================================================================
--- trunk/info/info/alkisn/alkisauszug.css	(revision 389)
+++ trunk/info/info/alkisn/alkisauszug.css	(revision 390)
@@ -17,5 +17,5 @@
 	2017-06-08	Tab-Zeilen-Farbe wechseln, Spaltenbreite td.flag, media screen
 	2017-06-09	ErlÃ€rung zu Haus: 2 Arten
-	2017-10-11	span.absfla
+	2017-10-11	BodenschÃ€tzung
 */
 body	{background-color: #FEFFFE;}
@@ -72,8 +72,4 @@
 span.wichtig{color: #BB0000; font-weight: bold;} /* Wert hervorheben */
 span.flae	{font-weight: bold;} /* FlÃ€chensumme Flurst. */
-/* SchÃ€tzg.-Abschnitt */
-span.absfla	{position: absolute; min-width: 90px; text-align: right; background: #fbfbfb;} /* -FlÃ€che */
-span.absbew	{position: absolute; left: 100px; min-width: 45px;} /* -Bewertung */
-span.absart	{position: absolute; left: 145px;} /* -Bodenart usw. */
 
 /* ** T a b e l l e n ** */
@@ -97,7 +93,6 @@
 
 td.ll	{width: 140px;}	/* Liste Links */
-td.lr	{color: black;}	/* Liste Rechts */
-td.ls	{color: #005500; position: relative;}	/* Liste SchÃ€tzung */
-td.ph	{color: gray;}	/* Platzhalter, vorlaeufig, spaeter loschen */
+td.lr	{color: black; padding-left: 4px;}	/* Liste Rechts */
+td.re	{min-width: 80px; padding-right: 4px; text-align: right;} /* RechtsbÃŒndig */
 td.fla	{width: 110px; padding-right: 4px; text-align: right;} /* Flaechen rechtsbuendig (stellengerecht) */
 td.flag	{min-width: 110px; padding-right: 4px; text-align: right;} /* .. im GB-Bestandsnachweis erweiterbar */
@@ -112,5 +107,5 @@
 td.nrap, p.nrap	{font-size: 9pt; font-style: italic; background-color: white;}	/* Nummer im Aufteilungsplan */
 td.fett	{font-weight: bold;}
-/* td.nwlink {width: 80px;} */	/* Link zum Nachweis */
+td.nwlink {width: 80px;}	/* Link zum Nachweis */
 
 /* Kopfzeile, Spaltenueberschrift */