Index: trunk/info/info/alkisn/alkisauszug.css
===================================================================
--- trunk/info/info/alkisn/alkisauszug.css	(revision 390)
+++ trunk/info/info/alkisn/alkisauszug.css	(revision 391)
@@ -18,4 +18,5 @@
 	2017-06-09	ErlÃ€rung zu Haus: 2 Arten
 	2017-10-11	BodenschÃ€tzung
+	2017-10-17	td.nwlink min-width
 */
 body	{background-color: #FEFFFE;}
@@ -107,5 +108,5 @@
 td.nrap, p.nrap	{font-size: 9pt; font-style: italic; background-color: white;}	/* Nummer im Aufteilungsplan */
 td.fett	{font-weight: bold;}
-td.nwlink {width: 80px;}	/* Link zum Nachweis */
+td.nwlink {min-width: 80px;}	/* Link zum Nachweis */
 
 /* Kopfzeile, Spaltenueberschrift */
Index: trunk/info/info/alkisn/alkisexport.php
===================================================================
--- trunk/info/info/alkisn/alkisexport.php	(revision 390)
+++ trunk/info/info/alkisn/alkisexport.php	(revision 391)
@@ -30,4 +30,5 @@
 
 ToDo:
+	- Geburtsdatum im deutschen Format DD.MM.YYYY ?
 	- In Dateiname StraÃenname statt gmlid verwenden?
 	- in alkislage.php fÃŒr den Typ "ohne Haunummer" den Export mit strasse und haus=o verlinken
Index: trunk/info/info/alkisn/alkisfkt.php
===================================================================
--- trunk/info/info/alkisn/alkisfkt.php	(revision 390)
+++ trunk/info/info/alkisn/alkisfkt.php	(revision 391)
@@ -11,4 +11,5 @@
 	2016-11-29 Gemeinsam genutzte Datenbanken ermÃ¶glichen (Filter Gemeinde)
 	2017-06-08 gestreifte Tabelle, Feinkorrekturen
+	2017-10-17 Deutsches Datumsformat fÃŒr Geburtsdatum der Person
 */
 
@@ -399,5 +400,5 @@
 		// Schleife 2: P e r s o n
 		// Beziehung: ax_person  <benennt<  ax_namensnummer
-		$sqlp="SELECT gml_id, nachnameoderfirma, vorname, geburtsname, geburtsdatum, namensbestandteil, akademischergrad "
+		$sqlp="SELECT gml_id, nachnameoderfirma, vorname, geburtsname, to_char(cast(geburtsdatum AS date),'DD.MM.YYYY') AS geburtsdatum, namensbestandteil, akademischergrad "
 		."FROM ax_person WHERE gml_id= $1 AND endet IS NULL;";
 		$gmlpers=$rown["benennt"];
Index: trunk/info/info/alkisn/alkisfshist.php
===================================================================
--- trunk/info/info/alkisn/alkisfshist.php	(revision 390)
+++ trunk/info/info/alkisn/alkisfshist.php	(revision 391)
@@ -9,4 +9,5 @@
 	2017-06-06 Validierung Eingabeparameter, Feinkorrekturen
 	2017-10-09 Sauber filtern auf NOT endet IS NULL
+	2017-10-17 Deutsches Datumsformat fÃŒr Zeitpunkt der Entstehung
 */
 
@@ -167,5 +168,5 @@
 	// UNION-Abfrage auf 3Ã€hnliche Tabellen, darin aber immer nur 1 Treffer.
 
-	$felder="gml_id, flurnummer, cast(zaehler AS character varying), cast(nenner AS character varying), flurstueckskennzeichen, amtlicheflaeche, zeitpunktderentstehung, gemarkungsnummer, ";
+	$felder="gml_id, flurnummer, cast(zaehler AS character varying), cast(nenner AS character varying), flurstueckskennzeichen, amtlicheflaeche, to_char(cast(zeitpunktderentstehung AS date),'DD.MM.YYYY') AS zeitpunktderentstehung, gemarkungsnummer, ";
 
 	if ($filtgem == '') { // Filter Gemeinde ?
Index: trunk/info/info/alkisn/alkisnamstruk.php
===================================================================
--- trunk/info/info/alkisn/alkisnamstruk.php	(revision 390)
+++ trunk/info/info/alkisn/alkisnamstruk.php	(revision 391)
@@ -10,4 +10,5 @@
 	2017-06-02 Validierung Eingabeparameter, Feinkorrekturen
 	2017-10-09 Sauber filtern auf endet IS NULL
+	2017-10-17 Deutsches Datumsformat im Geburtsdatum
 */
 session_start();
@@ -52,5 +53,5 @@
 if (!$con) "\n<p class='err'>Fehler beim Verbinden der DB</p>";
 
-$sql="SELECT p.nachnameoderfirma, p.anrede, p.vorname, p.geburtsname, p.geburtsdatum, p.namensbestandteil, p.akademischergrad, a.v AS anrv
+$sql="SELECT p.nachnameoderfirma, p.anrede, p.vorname, p.geburtsname, to_char(cast(p.geburtsdatum AS date),'DD.MM.YYYY') AS geburtsdatum, p.namensbestandteil, p.akademischergrad, a.v AS anrv
 FROM ax_person p LEFT JOIN alkis_wertearten a ON cast(p.anrede AS character varying)=a.k AND a.element='ax_person' AND a.bezeichnung='anrede' 
 WHERE gml_id= $1 AND p.endet IS NULL;";
Index: trunk/info/info/alkisn/alkisfsnw.php
===================================================================
--- trunk/info/info/alkisn/alkisfsnw.php	(revision 390)
+++ trunk/info/info/alkisn/alkisfsnw.php	(revision 391)
@@ -14,4 +14,5 @@
 	2017-10-11 Sauber filtern auf 'endet IS NULL', Ausgabe der BodenschÃ€tzung
 	2017-10-11 Nachbesserung Formatierung der SchÃ€tzungs-Zeilen
+	2017-10-17 Zeitpunkt der Entstehung in deutschen Datumsformat
 
 	ToDo:
@@ -123,5 +124,6 @@
 
 // F L U R S T U E C K
-$sql ="SELECT f.name, f.flurnummer, f.zaehler, f.nenner, f.regierungsbezirk, f.kreis, f.gemeinde, f.amtlicheflaeche, st_area(f.wkb_geometry) AS fsgeomflae, f.zeitpunktderentstehung, g.gemarkungsnummer, g.bezeichnung 
+$sql ="SELECT f.name, f.flurnummer, f.zaehler, f.nenner, f.regierungsbezirk, f.kreis, f.gemeinde, f.amtlicheflaeche, st_area(f.wkb_geometry) AS fsgeomflae, 
+to_char(cast(f.zeitpunktderentstehung AS date),'DD.MM.YYYY') AS zeitpunktderentstehung, g.gemarkungsnummer, g.bezeichnung 
 FROM ax_flurstueck f LEFT JOIN ax_gemarkung g ON f.land=g.land AND f.gemarkungsnummer=g.gemarkungsnummer 
 WHERE f.gml_id= $1 AND f.endet IS NULL AND g.endet IS NULL;";