Index: trunk/umn/alkis_n/symbols.sym
===================================================================
--- trunk/umn/alkis_n/symbols.sym	(revision 367)
+++ trunk/umn/alkis_n/symbols.sym	(revision 392)
@@ -1,342 +1,77 @@
 SYMBOLSET
 # Symbole fuer ALKIS-Mapfile generiert aus aus Norbit-QGIS-Plugin
-	SYMBOL
-		NAME "0"
-		TYPE ELLIPSE
-		FILLED TRUE
-		POINTS
-		  1 1
-		  1 1
-		END
-	END
-	SYMBOL
-		NAME "norGIS_alkis3020_1"
-		TYPE SVG
-		IMAGE "/opt/gdi/alkisn/svg/alkis3020_1.svg"
-	END
-	SYMBOL
-		NAME "norGIS_alkis3022_1"
-		TYPE SVG
-		IMAGE "/opt/gdi/alkisn/svg/alkis3022_1.svg"
-	END
-	SYMBOL
-		NAME "norGIS_alkis3010_1"
-		TYPE SVG
-		IMAGE "/opt/gdi/alkisn/svg/alkis3010_1.svg"
-	END
-	SYMBOL
-		NAME "norGIS_alkis3539_1"
-		TYPE SVG
-		IMAGE "/opt/gdi/alkisn/svg/alkis3539_1.svg"
-	END
-	SYMBOL
-		NAME "norGIS_alkis3527_1"
-		TYPE SVG
-		IMAGE "/opt/gdi/alkisn/svg/alkis3527_1.svg"
-	END
-	SYMBOL
-		NAME "norGIS_alkis3521_1"
-		TYPE SVG
-		IMAGE "/opt/gdi/alkisn/svg/alkis3521_1.svg"
-	END
-	SYMBOL
-		NAME "norGIS_alkis3308_1"
-		TYPE SVG
-		IMAGE "/opt/gdi/alkisn/svg/alkis3308_1.svg"
-	END
-	SYMBOL
-		NAME "norGIS_alkis3532_1"
-		TYPE SVG
-		IMAGE "/opt/gdi/alkisn/svg/alkis3532_1.svg"
-	END
-	SYMBOL
-		NAME "norGIS_alkis3324_1"
-		TYPE SVG
-		IMAGE "/opt/gdi/alkisn/svg/alkis3324_1.svg"
-	END
-	SYMBOL
-		NAME "norGIS_alkis3312_1"
-		TYPE SVG
-		IMAGE "/opt/gdi/alkisn/svg/alkis3312_1.svg"
-	END
-	SYMBOL
-		NAME "norGIS_alkis3334_1"
-		TYPE SVG
-		IMAGE "/opt/gdi/alkisn/svg/alkis3334_1.svg"
-	END
-	SYMBOL
-		NAME "norGIS_alkis3318_1"
-		TYPE SVG
-		IMAGE "/opt/gdi/alkisn/svg/alkis3318_1.svg"
-	END
-	SYMBOL
-		NAME "norGIS_alkis3326_1"
-		TYPE SVG
-		IMAGE "/opt/gdi/alkisn/svg/alkis3326_1.svg"
-	END
-	SYMBOL
-		NAME "norGIS_alkis3316_1"
-		TYPE SVG
-		IMAGE "/opt/gdi/alkisn/svg/alkis3316_1.svg"
-	END
-	SYMBOL
-		NAME "norGIS_alkis3323_1"
-		TYPE SVG
-		IMAGE "/opt/gdi/alkisn/svg/alkis3323_1.svg"
-	END
-	SYMBOL
-		NAME "norGIS_alkis3311_1"
-		TYPE SVG
-		IMAGE "/opt/gdi/alkisn/svg/alkis3311_1.svg"
-	END
-	SYMBOL
-		NAME "norGIS_alkis3306_1"
-		TYPE SVG
-		IMAGE "/opt/gdi/alkisn/svg/alkis3306_1.svg"
-	END
-	SYMBOL
-		NAME "norGIS_alkis3336_1"
-		TYPE SVG
-		IMAGE "/opt/gdi/alkisn/svg/alkis3336_1.svg"
-	END
-	SYMBOL
-		NAME "norGIS_alkis3300_1"
-		TYPE SVG
-		IMAGE "/opt/gdi/alkisn/svg/alkis3300_1.svg"
-	END
-	SYMBOL
-		NAME "norGIS_alkis3529_1"
-		TYPE SVG
-		IMAGE "/opt/gdi/alkisn/svg/alkis3529_1.svg"
-	END
-	SYMBOL
-		NAME "norGIS_alkis3302_1"
-		TYPE SVG
-		IMAGE "/opt/gdi/alkisn/svg/alkis3302_1.svg"
-	END
-	SYMBOL
-		NAME "norGIS_alkis3305_1"
-		TYPE SVG
-		IMAGE "/opt/gdi/alkisn/svg/alkis3305_1.svg"
-	END
-	SYMBOL
-		NAME "norGIS_alkis3536_1"
-		TYPE SVG
-		IMAGE "/opt/gdi/alkisn/svg/alkis3536_1.svg"
-	END
-	SYMBOL
-		NAME "norGIS_alkis3430_1"
-		TYPE SVG
-		IMAGE "/opt/gdi/alkisn/svg/alkis3430_1.svg"
-	END
-	SYMBOL
-		NAME "norGIS_alkis3424_1"
-		TYPE SVG
-		IMAGE "/opt/gdi/alkisn/svg/alkis3424_1.svg"
-	END
-	SYMBOL
-		NAME "norGIS_alkis3578_1"
-		TYPE SVG
-		IMAGE "/opt/gdi/alkisn/svg/alkis3578_1.svg"
-	END
-	SYMBOL
-		NAME "norGIS_alkis3432_1"
-		TYPE SVG
-		IMAGE "/opt/gdi/alkisn/svg/alkis3432_1.svg"
-	END
-	SYMBOL
-		NAME "norGIS_alkis3426_1"
-		TYPE SVG
-		IMAGE "/opt/gdi/alkisn/svg/alkis3426_1.svg"
-	END
-	SYMBOL
-		NAME "norGIS_alkis3428_1"
-		TYPE SVG
-		IMAGE "/opt/gdi/alkisn/svg/alkis3428_1.svg"
-	END
-	SYMBOL
-		NAME "norGIS_alkis3446_1"
-		TYPE SVG
-		IMAGE "/opt/gdi/alkisn/svg/alkis3446_1.svg"
-	END
-	SYMBOL
-		NAME "norGIS_alkis3478_1"
-		TYPE SVG
-		IMAGE "/opt/gdi/alkisn/svg/alkis3478_1.svg"
-	END
-	SYMBOL
-		NAME "norGIS_alkis3421_1"
-		TYPE SVG
-		IMAGE "/opt/gdi/alkisn/svg/alkis3421_1.svg"
-	END
-	SYMBOL
-		NAME "norGIS_alkis3440_1"
-		TYPE SVG
-		IMAGE "/opt/gdi/alkisn/svg/alkis3440_1.svg"
-	END
-	SYMBOL
-		NAME "norGIS_alkis3613_1"
-		TYPE SVG
-		IMAGE "/opt/gdi/alkisn/svg/alkis3613_1.svg"
-	END
-	SYMBOL
-		NAME "norGIS_alkis3597_1"
-		TYPE SVG
-		IMAGE "/opt/gdi/alkisn/svg/alkis3597_1.svg"
-	END
-	SYMBOL
-		NAME "norGIS_alkis3452_1"
-		TYPE SVG
-		IMAGE "/opt/gdi/alkisn/svg/alkis3452_1.svg"
-	END
-	SYMBOL
-		NAME "norGIS_alkis3460_1"
-		TYPE SVG
-		IMAGE "/opt/gdi/alkisn/svg/alkis3460_1.svg"
-	END
-	SYMBOL
-		NAME "norGIS_alkis3480_1"
-		TYPE SVG
-		IMAGE "/opt/gdi/alkisn/svg/alkis3480_1.svg"
-	END
-	SYMBOL
-		NAME "norGIS_alkis3462_1"
-		TYPE SVG
-		IMAGE "/opt/gdi/alkisn/svg/alkis3462_1.svg"
-	END
-	SYMBOL
-		NAME "norGIS_alkis3413_1"
-		TYPE SVG
-		IMAGE "/opt/gdi/alkisn/svg/alkis3413_1.svg"
-	END
-	SYMBOL
-		NAME "norGIS_alkis3605_1"
-		TYPE SVG
-		IMAGE "/opt/gdi/alkisn/svg/alkis3605_1.svg"
-	END
-	SYMBOL
-		NAME "norGIS_alkis3441_1"
-		TYPE SVG
-		IMAGE "/opt/gdi/alkisn/svg/alkis3441_1.svg"
-	END
-	SYMBOL
-		NAME "norGIS_alkis3458_1"
-		TYPE SVG
-		IMAGE "/opt/gdi/alkisn/svg/alkis3458_1.svg"
-	END
-	SYMBOL
-		NAME "norGIS_alkis3599_1"
-		TYPE SVG
-		IMAGE "/opt/gdi/alkisn/svg/alkis3599_1.svg"
-	END
-	SYMBOL
-		NAME "norGIS_alkis3474_1"
-		TYPE SVG
-		IMAGE "/opt/gdi/alkisn/svg/alkis3474_1.svg"
-	END
-	SYMBOL
-		NAME "norGIS_alkis3470_1"
-		TYPE SVG
-		IMAGE "/opt/gdi/alkisn/svg/alkis3470_1.svg"
-	END
-	SYMBOL
-		NAME "norGIS_alkis3601_1"
-		TYPE SVG
-		IMAGE "/opt/gdi/alkisn/svg/alkis3601_1.svg"
-	END
-	SYMBOL
-		NAME "norGIS_alkis3619_1"
-		TYPE SVG
-		IMAGE "/opt/gdi/alkisn/svg/alkis3619_1.svg"
-	END
-	SYMBOL
-		NAME "norGIS_alkis3488_1" # Pfeil
-		TYPE SVG
-		IMAGE "/opt/gdi/alkisn/svg/alkis3488_1.svg"
-	END
-	SYMBOL
-		NAME "norGIS_alkis3490_1" # Welle
-		TYPE SVG
-		IMAGE "/opt/gdi/alkisn/svg/alkis3490_1.svg"
-	END
-	SYMBOL
-		NAME "norGIS_alkis3596_1"
-		TYPE SVG
-		IMAGE "/opt/gdi/alkisn/svg/alkis3596_1.svg"
-	END
-	SYMBOL
-		NAME "norGIS_alkis3621_1"
-		TYPE SVG
-		IMAGE "/opt/gdi/alkisn/svg/alkis3621_1.svg"
-	END
-	SYMBOL
-		NAME "norGIS_alkis3401_1"
-		TYPE SVG
-		IMAGE "/opt/gdi/alkisn/svg/alkis3401_1.svg"
-	END
-	SYMBOL
-		NAME "norGIS_alkis3506_1"
-		TYPE SVG
-		IMAGE "/opt/gdi/alkisn/svg/alkis3506_1.svg"
-	END
-	SYMBOL
-		NAME "norGIS_alkis3522_1"
-		TYPE SVG
-		IMAGE "/opt/gdi/alkisn/svg/alkis3522_1.svg"
-	END
-	SYMBOL
-		NAME "norGIS_alkis3508_1"
-		TYPE SVG
-		IMAGE "/opt/gdi/alkisn/svg/alkis3508_1.svg"
-	END
-	SYMBOL
-		NAME "norGIS_alkis3504_1"
-		TYPE SVG
-		IMAGE "/opt/gdi/alkisn/svg/alkis3504_1.svg"
-	END
-	SYMBOL
-		NAME "norGIS_alkis3501_1"
-		TYPE SVG
-		IMAGE "/opt/gdi/alkisn/svg/alkis3501_1.svg"
-	END
-	SYMBOL
-		NAME "norGIS_alkis3514_1"
-		TYPE SVG
-		IMAGE "/opt/gdi/alkisn/svg/alkis3514_1.svg"
-	END
-	SYMBOL
-		NAME "norGIS_alkis3407_1"
-		TYPE SVG
-		IMAGE "/opt/gdi/alkisn/svg/alkis3407_1.svg"
-	END
-	SYMBOL
-		NAME "norGIS_alkis3423_1"
-		TYPE SVG
-		IMAGE "/opt/gdi/alkisn/svg/alkis3423_1.svg"
-	END
-	SYMBOL
-		NAME "norGIS_alkis3419_1"
-		TYPE SVG
-		IMAGE "/opt/gdi/alkisn/svg/alkis3419_1.svg"
-	END
-	SYMBOL
-		NAME "norGIS_alkis3415_1"
-		TYPE SVG
-		IMAGE "/opt/gdi/alkisn/svg/alkis3415_1.svg"
-	END
-	SYMBOL
-		NAME "norGIS_alkis3412_1"
-		TYPE SVG
-		IMAGE "/opt/gdi/alkisn/svg/alkis3412_1.svg"
-	END
-	SYMBOL
-		NAME "norGIS_alkis3627_1"
-		TYPE SVG
-		IMAGE "/opt/gdi/alkisn/svg/alkis3627_1.svg"
-	END
-	SYMBOL
-		NAME "norGIS_alkis3632_1"
-		TYPE SVG
-		IMAGE "/opt/gdi/alkisn/svg/alkis3632_1.svg"
-	END
+# 2017-10-24 aktualisiert und sortiert
+SYMBOL NAME "norGIS_alkis3010_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3010_1.svg" END
+SYMBOL NAME "norGIS_alkis3020_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3020_1.svg" END
+SYMBOL NAME "norGIS_alkis3022_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3022_1.svg" END
+SYMBOL NAME "norGIS_alkis3024_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3024_1.svg" END
+SYMBOL NAME "norGIS_alkis3300_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3300_1.svg" END
+SYMBOL NAME "norGIS_alkis3302_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3302_1.svg" END
+SYMBOL NAME "norGIS_alkis3303_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3303_1.svg" END
+SYMBOL NAME "norGIS_alkis3305_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3305_1.svg" END
+SYMBOL NAME "norGIS_alkis3306_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3306_1.svg" END
+SYMBOL NAME "norGIS_alkis3308_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3308_1.svg" END
+SYMBOL NAME "norGIS_alkis3309_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3309_1.svg" END
+SYMBOL NAME "norGIS_alkis3311_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3311_1.svg" END
+SYMBOL NAME "norGIS_alkis3312_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3312_1.svg" END
+SYMBOL NAME "norGIS_alkis3314_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3314_1.svg" END
+SYMBOL NAME "norGIS_alkis3315_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3315_1.svg" END
+SYMBOL NAME "norGIS_alkis3316_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3316_1.svg" END
+SYMBOL NAME "norGIS_alkis3318_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3318_1.svg" END
+SYMBOL NAME "norGIS_alkis3321_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3321_1.svg" END
+SYMBOL NAME "norGIS_alkis3323_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3323_1.svg" END
+SYMBOL NAME "norGIS_alkis3324_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3324_1.svg" END
+SYMBOL NAME "norGIS_alkis3326_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3326_1.svg" END
+SYMBOL NAME "norGIS_alkis3334_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3334_1.svg" END
+SYMBOL NAME "norGIS_alkis3336_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3336_1.svg" END
+SYMBOL NAME "norGIS_alkis3338_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3338_1.svg" END
+SYMBOL NAME "norGIS_alkis3401_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3401_1.svg" END
+SYMBOL NAME "norGIS_alkis3407_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3407_1.svg" END
+SYMBOL NAME "norGIS_alkis3412_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3412_1.svg" END
+SYMBOL NAME "norGIS_alkis3413_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3413_1.svg" END
+SYMBOL NAME "norGIS_alkis3415_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3415_1.svg" END
+SYMBOL NAME "norGIS_alkis3419_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3419_1.svg" END
+SYMBOL NAME "norGIS_alkis3421_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3421_1.svg" END
+SYMBOL NAME "norGIS_alkis3423_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3423_1.svg" END
+SYMBOL NAME "norGIS_alkis3424_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3424_1.svg" END
+SYMBOL NAME "norGIS_alkis3426_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3426_1.svg" END
+SYMBOL NAME "norGIS_alkis3428_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3428_1.svg" END
+SYMBOL NAME "norGIS_alkis3430_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3430_1.svg" END
+SYMBOL NAME "norGIS_alkis3432_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3432_1.svg" END
+SYMBOL NAME "norGIS_alkis3440_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3440_1.svg" END
+SYMBOL NAME "norGIS_alkis3441_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3441_1.svg" END
+SYMBOL NAME "norGIS_alkis3446_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3446_1.svg" END
+SYMBOL NAME "norGIS_alkis3452_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3452_1.svg" END
+SYMBOL NAME "norGIS_alkis3458_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3458_1.svg" END
+SYMBOL NAME "norGIS_alkis3460_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3460_1.svg" END
+SYMBOL NAME "norGIS_alkis3462_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3462_1.svg" END
+SYMBOL NAME "norGIS_alkis3470_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3470_1.svg" END
+SYMBOL NAME "norGIS_alkis3474_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3474_1.svg" END
+SYMBOL NAME "norGIS_alkis3478_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3478_1.svg" END
+SYMBOL NAME "norGIS_alkis3480_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3480_1.svg" END
+SYMBOL NAME "norGIS_alkis3488_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3488_1.svg" END
+SYMBOL NAME "norGIS_alkis3490_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3490_1.svg" END
+SYMBOL NAME "norGIS_alkis3501_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3501_1.svg" END
+SYMBOL NAME "norGIS_alkis3504_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3504_1.svg" END
+SYMBOL NAME "norGIS_alkis3506_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3506_1.svg" END
+SYMBOL NAME "norGIS_alkis3508_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3508_1.svg" END
+SYMBOL NAME "norGIS_alkis3514_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3514_1.svg" END
+SYMBOL NAME "norGIS_alkis3521_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3521_1.svg" END
+SYMBOL NAME "norGIS_alkis3522_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3522_1.svg" END
+SYMBOL NAME "norGIS_alkis3527_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3527_1.svg" END
+SYMBOL NAME "norGIS_alkis3529_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3529_1.svg" END
+SYMBOL NAME "norGIS_alkis3532_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3532_1.svg" END
+SYMBOL NAME "norGIS_alkis3536_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3536_1.svg" END
+SYMBOL NAME "norGIS_alkis3539_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3539_1.svg" END
+SYMBOL NAME "norGIS_alkis3578_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3578_1.svg" END
+SYMBOL NAME "norGIS_alkis3596_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3596_1.svg" END
+SYMBOL NAME "norGIS_alkis3597_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3597_1.svg" END
+SYMBOL NAME "norGIS_alkis3599_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3599_1.svg" END
+SYMBOL NAME "norGIS_alkis3601_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3601_1.svg" END
+SYMBOL NAME "norGIS_alkis3605_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3605_1.svg" END
+SYMBOL NAME "norGIS_alkis3613_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3613_1.svg" END
+SYMBOL NAME "norGIS_alkis3619_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3619_1.svg" END
+SYMBOL NAME "norGIS_alkis3621_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3621_1.svg" END
+SYMBOL NAME "norGIS_alkis3627_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3627_1.svg" END
+SYMBOL NAME "norGIS_alkis3632_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3632_1.svg" END
 END